hamparse

## Class Ham4Parser

- java.lang.Object
- - org.antlr.runtime.BaseRecognizer
  - - org.antlr.runtime.Parser
    - - hamparse.Ham4Parser

-     public class Ham4Parser
      extends org.antlr.runtime.Parser

  ANTLR-generated parser for a single manual HamNoSys 4 sign, taking input from a custom `TokenStream` and generating an AST for the sign.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Ham4Parser.a1tlist_return`
    `static class` | `Ham4Parser.a1tstar_return`
    `static class` | `Ham4Parser.a2tlist_return`
    `static class` | `Ham4Parser.a2tstar_return`
    `static class` | `Ham4Parser.action1_return`
    `static class` | `Ham4Parser.action1seq_return`
    `static class` | `Ham4Parser.action1t_return`
    `static class` | `Ham4Parser.action1tseq_return`
    `static class` | `Ham4Parser.action2t_return`
    `static class` | `Ham4Parser.alternations_return`
    `static class` | `Ham4Parser.arc_return`
    `static class` | `Ham4Parser.arckind_return`
    `static class` | `Ham4Parser.basichandshape_return`
    `static class` | `Ham4Parser.basichandshape1_return`
    `static class` | `Ham4Parser.brushingcontact_return`
    `static class` | `Ham4Parser.cautiousfingerlist_return`
    `static class` | `Ham4Parser.ccontact_return`
    `static class` | `Ham4Parser.circularmovement_return`
    `static class` | `Ham4Parser.clock_return`
    `static class` | `Ham4Parser.contactbody_return`
    `static class` | `Ham4Parser.contacthand_return`
    `static class` | `Ham4Parser.contactofhand_return`
    `static class` | `Ham4Parser.contactoharm_return`
    `static class` | `Ham4Parser.contactohhand_return`
    `static class` | `Ham4Parser.digit_return`
    `static class` | `Ham4Parser.dorsalorpalmar_return`
    `static class` | `Ham4Parser.ellipse_return`
    `static class` | `Ham4Parser.ellipsedirection_return`
    `static class` | `Ham4Parser.extfidir_return`
    `static class` | `Ham4Parser.extfidir1_return`
    `static class` | `Ham4Parser.extfidir2_return`
    `static class` | `Ham4Parser.extfidirtok_return`
    `static class` | `Ham4Parser.finger_return`
    `static class` | `Ham4Parser.fingerbending_return`
    `static class` | `Ham4Parser.fingerbendingtok_return`
    `static class` | `Ham4Parser.fingercrossing_return`
    `static class` | `Ham4Parser.fingercrossinglist_return`
    `static class` | `Ham4Parser.fingerlist_return`
    `static class` | `Ham4Parser.fingerpart_return`
    `static class` | `Ham4Parser.fingershape_return`
    `static class` | `Ham4Parser.fingershapelist_return`
    `static class` | `Ham4Parser.hamsignseq_return`
    `static class` | `Ham4Parser.hamsinglesign_return`
    `static class` | `Ham4Parser.handbendandthumb_return`
    `static class` | `Ham4Parser.handconfig1_return`
    `static class` | `Ham4Parser.handconfig2_return`
    `static class` | `Ham4Parser.handconfigtail2_return`
    `static class` | `Ham4Parser.handconstellation_return`
    `static class` | `Ham4Parser.handpart_return`
    `static class` | `Ham4Parser.handshape1_return`
    `static class` | `Ham4Parser.handshape2_return`
    `static class` | `Ham4Parser.handshapeclass_return`
    `static class` | `Ham4Parser.handshapeclasstok_return`
    `static class` | `Ham4Parser.hsdigit_return`
    `static class` | `Ham4Parser.hsfingeritem_return`
    `static class` | `Ham4Parser.initialconfig1_return`
    `static class` | `Ham4Parser.initialconfig2_return`
    `static class` | `Ham4Parser.levelarm_return`
    `static class` | `Ham4Parser.levelbody_return`
    `static class` | `Ham4Parser.levelcomplexarm_return`
    `static class` | `Ham4Parser.levelcomplexbody_return`
    `static class` | `Ham4Parser.levelcomplexhand_return`
    `static class` | `Ham4Parser.levelhand_return`
    `static class` | `Ham4Parser.locarm_return`
    `static class` | `Ham4Parser.location1_return`
    `static class` | `Ham4Parser.location1as2_return`
    `static class` | `Ham4Parser.location2_return`
    `static class` | `Ham4Parser.location2not1_return`
    `static class` | `Ham4Parser.locationarm_return`
    `static class` | `Ham4Parser.locationbody_return`
    `static class` | `Ham4Parser.locationbodyarm_return`
    `static class` | `Ham4Parser.locationhand_return`
    `static class` | `Ham4Parser.locationindexdefine_return`
    `static class` | `Ham4Parser.locationindexuse_return`
    `static class` | `Ham4Parser.locbody_return`
    `static class` | `Ham4Parser.locbodytok_return`
    `static class` | `Ham4Parser.lochand_return`
    `static class` | `Ham4Parser.locsided_return`
    `static class` | `Ham4Parser.minitialconfig1_return`
    `static class` | `Ham4Parser.minitialconfig2_return`
    `static class` | `Ham4Parser.modifier_return`
    `static class` | `Ham4Parser.movementarrow_return`
    `static class` | `Ham4Parser.movementcircle_return`
    `static class` | `Ham4Parser.movementcross_return`
    `static class` | `Ham4Parser.movingrepetition_return`
    `static class` | `Ham4Parser.nmaction1t_return`
    `static class` | `Ham4Parser.nmicunit_return`
    `static class` | `Ham4Parser.nminitialconfig_return`
    `static class` | `Ham4Parser.nondomsign1_return`
    `static class` | `Ham4Parser.palmor_return`
    `static class` | `Ham4Parser.palmor1_return`
    `static class` | `Ham4Parser.palmor2_return`
    `static class` | `Ham4Parser.paraction1_return`
    `static class` | `Ham4Parser.paraction1t_return`
    `static class` | `Ham4Parser.paraction2t_return`
    `static class` | `Ham4Parser.pcontact_return`
    `static class` | `Ham4Parser.reccautiousfingerlist_return`
    `static class` | `Ham4Parser.recfingercrossinglist_return`
    `static class` | `Ham4Parser.recfingerlist_return`
    `static class` | `Ham4Parser.recfingershapelist_return`
    `static class` | `Ham4Parser.repetition_return`
    `static class` | `Ham4Parser.repetitions_return`
    `static class` | `Ham4Parser.repetitionsoption_return`
    `static class` | `Ham4Parser.replacement_return`
    `static class` | `Ham4Parser.replacetail1_return`
    `static class` | `Ham4Parser.revolutions_return`
    `static class` | `Ham4Parser.seqaction1_return`
    `static class` | `Ham4Parser.seqaction1t_return`
    `static class` | `Ham4Parser.seqaction2t_return`
    `static class` | `Ham4Parser.seqfusedaction1_return`
    `static class` | `Ham4Parser.seqfusedaction1t_return`
    `static class` | `Ham4Parser.seqfusedaction2t_return`
    `static class` | `Ham4Parser.seqnmoraction1t_return`
    `static class` | `Ham4Parser.side_return`
    `static class` | `Ham4Parser.sign2_return`
    `static class` | `Ham4Parser.sign2or1_return`
    `static class` | `Ham4Parser.simplemovement_return`
    `static class` | `Ham4Parser.size_return`
    `static class` | `Ham4Parser.sizechange_return`
    `static class` | `Ham4Parser.sizechangenonlinear_return`
    `static class` | `Ham4Parser.specialfingerplaymovement_return`
    `static class` | `Ham4Parser.splitaction2loc2_return`
    `static class` | `Ham4Parser.splitaction2t_return`
    `static class` | `Ham4Parser.splitextfidir2_return`
    `static class` | `Ham4Parser.splithandconfig2_return`
    `static class` | `Ham4Parser.splitpalmor2_return`
    `static class` | `Ham4Parser.splitreplacetail_return`
    `static class` | `Ham4Parser.straightmovement_return`
    `static class` | `Ham4Parser.symmoperator_return`
    `static class` | `Ham4Parser.thumb_return`
    `static class` | `Ham4Parser.thumbbetween_return`
    `static class` | `Ham4Parser.thumbbetweendefault_return`
    `static class` | `Ham4Parser.thumbbetweenexplicit_return`
    `static class` | `Ham4Parser.thumbextra_return`
    `static class` | `Ham4Parser.thumbpos_return`
    `static class` | `Ham4Parser.thumbpostok_return`
    `static class` | `Ham4Parser.thumbspecial_return`
    `static class` | `Ham4Parser.wristmovement_return`
    `static class` | `Ham4Parser.zigzag_return`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `A1LIST`
    `static int` | `A1TLIST`
    `static int` | `A2TLIST`
    `static int` | `ACTION1`
    `static int` | `ACTION1T`
    `static int` | `ACTION2`
    `static int` | `ACTION2T`
    `static int` | `BASICHDSHP`
    `static int` | `BASICHDSHP1`
    `static int` | `CNTCTBODY`
    `static int` | `CNTCTHAND`
    `static int` | `CNTCTOFHAND`
    `static int` | `CNTCTOHARM`
    `static int` | `CNTCTOHHAND`
    `static int` | `CRCLRMVMT`
    `static int` | `EOF`
    `static int` | `EXTFIDIR`
    `static int` | `EXTFIDIR1`
    `static int` | `EXTFIDIR2`
    `static int` | `FCROSSING`
    `static int` | `FIBENDING`
    `static int` | `FICRSSLIST`
    `static int` | `FINGERLIST`
    `static int` | `FISHPLIST`
    `static org.antlr.runtime.BitSet` | `FOLLOW_a1tlist_in_a1tlist8758`
    `static org.antlr.runtime.BitSet` | `FOLLOW_a1tlist_in_a1tstar8595`
    `static org.antlr.runtime.BitSet` | `FOLLOW_a1tstar_in_nondomsign11287`
    `static org.antlr.runtime.BitSet` | `FOLLOW_a1tstar_in_sign21064`
    `static org.antlr.runtime.BitSet` | `FOLLOW_a1tstar_in_sign21160`
    `static org.antlr.runtime.BitSet` | `FOLLOW_a1tstar_in_sign21215`
    `static org.antlr.runtime.BitSet` | `FOLLOW_a2tlist_in_a2tlist8684`
    `static org.antlr.runtime.BitSet` | `FOLLOW_a2tlist_in_a2tstar8543`
    `static org.antlr.runtime.BitSet` | `FOLLOW_a2tstar_in_sign21021`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1_in_action1seq10010`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1_in_action1t9314`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1_in_action2t8836`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1_in_nmicunit1846`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1_in_paraction111096`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1_in_seqaction111180`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1_in_seqfusedaction111264`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1_in_synpred27_Ham4Parser8812`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1_in_synpred29_Ham4Parser8963`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1_in_synpred29_Ham4Parser8986`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1_in_synpred31_Ham4Parser9266`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1seq_in_splitaction2loc210299`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1seq_in_splitaction2loc210321`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1t_in_a1tlist8744`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1t_in_action1tseq10022`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1t_in_action2t8914`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1t_in_nmaction1t11010`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1t_in_paraction1t10523`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1t_in_seqaction1t10780`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1t_in_seqfusedaction1t10864`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1t_in_seqnmoraction1t10648`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1t_in_seqnmoraction1t10684`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1t_in_synpred28_Ham4Parser8892`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1t_in_synpred30_Ham4Parser9053`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1tseq_in_splitaction2t10414`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action1tseq_in_splitaction2t10436`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action2t_in_a2tlist8670`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action2t_in_paraction2t10062`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action2t_in_seqaction2t10141`
    `static org.antlr.runtime.BitSet` | `FOLLOW_action2t_in_seqfusedaction2t10220`
    `static org.antlr.runtime.BitSet` | `FOLLOW_arc_in_arckind12952`
    `static org.antlr.runtime.BitSet` | `FOLLOW_arc_in_arckind12964`
    `static org.antlr.runtime.BitSet` | `FOLLOW_arckind_in_simplemovement12089`
    `static org.antlr.runtime.BitSet` | `FOLLOW_basichandshape_in_basichandshape13646`
    `static org.antlr.runtime.BitSet` | `FOLLOW_basichandshape_in_basichandshape13726`
    `static org.antlr.runtime.BitSet` | `FOLLOW_basichandshape1_in_handshape13132`
    `static org.antlr.runtime.BitSet` | `FOLLOW_brushingcontact_in_simplemovement12432`
    `static org.antlr.runtime.BitSet` | `FOLLOW_cautiousfingerlist_in_handshape13197`
    `static org.antlr.runtime.BitSet` | `FOLLOW_cautiousfingerlist_in_handshape13317`
    `static org.antlr.runtime.BitSet` | `FOLLOW_ccontact_in_contacthand7885`
    `static org.antlr.runtime.BitSet` | `FOLLOW_ccontact_in_contactofhand8152`
    `static org.antlr.runtime.BitSet` | `FOLLOW_circularmovement_in_simplemovement12160`
    `static org.antlr.runtime.BitSet` | `FOLLOW_clock_in_revolutions13233`
    `static org.antlr.runtime.BitSet` | `FOLLOW_clock_in_revolutions13299`
    `static org.antlr.runtime.BitSet` | `FOLLOW_clock_in_revolutions13345`
    `static org.antlr.runtime.BitSet` | `FOLLOW_contactbody_in_locationarm6813`
    `static org.antlr.runtime.BitSet` | `FOLLOW_contactbody_in_locationbody6641`
    `static org.antlr.runtime.BitSet` | `FOLLOW_contactbody_in_synpred23_Ham4Parser6635`
    `static org.antlr.runtime.BitSet` | `FOLLOW_contactbody_in_synpred25_Ham4Parser6807`
    `static org.antlr.runtime.BitSet` | `FOLLOW_contacthand_in_handconstellation8049`
    `static org.antlr.runtime.BitSet` | `FOLLOW_contacthand_in_locationhand6720`
    `static org.antlr.runtime.BitSet` | `FOLLOW_contacthand_in_synpred24_Ham4Parser6715`
    `static org.antlr.runtime.BitSet` | `FOLLOW_contactofhand_in_contactbody7803`
    `static org.antlr.runtime.BitSet` | `FOLLOW_contactofhand_in_contacthand7901`
    `static org.antlr.runtime.BitSet` | `FOLLOW_contactoharm_in_contactofhand8242`
    `static org.antlr.runtime.BitSet` | `FOLLOW_contactohhand_in_contactofhand8218`
    `static org.antlr.runtime.BitSet` | `FOLLOW_digit_in_fingercrossing4889`
    `static org.antlr.runtime.BitSet` | `FOLLOW_digit_in_fingercrossing4913`
    `static org.antlr.runtime.BitSet` | `FOLLOW_digit_in_fingershape4819`
    `static org.antlr.runtime.BitSet` | `FOLLOW_digit_in_locationindexdefine6381`
    `static org.antlr.runtime.BitSet` | `FOLLOW_digit_in_locationindexuse6428`
    `static org.antlr.runtime.BitSet` | `FOLLOW_digit_in_lochand8466`
    `static org.antlr.runtime.BitSet` | `FOLLOW_digit_in_lochand8487`
    `static org.antlr.runtime.BitSet` | `FOLLOW_digit_in_specialfingerplaymovement12700`
    `static org.antlr.runtime.BitSet` | `FOLLOW_digit_in_synpred16_Ham4Parser4235`
    `static org.antlr.runtime.BitSet` | `FOLLOW_digit_in_synpred33_Ham4Parser9865`
    `static org.antlr.runtime.BitSet` | `FOLLOW_dorsalorpalmar_in_levelarm7607`
    `static org.antlr.runtime.BitSet` | `FOLLOW_dorsalorpalmar_in_levelarm7700`
    `static org.antlr.runtime.BitSet` | `FOLLOW_dorsalorpalmar_in_levelhand7433`
    `static org.antlr.runtime.BitSet` | `FOLLOW_dorsalorpalmar_in_levelhand7513`
    `static org.antlr.runtime.BitSet` | `FOLLOW_ellipse_in_simplemovement12214`
    `static org.antlr.runtime.BitSet` | `FOLLOW_ellipsedirection_in_ellipse13177`
    `static org.antlr.runtime.BitSet` | `FOLLOW_ellipsedirection_in_repetitions11503`
    `static org.antlr.runtime.BitSet` | `FOLLOW_ellipsedirection_in_zigzag13086`
    `static org.antlr.runtime.BitSet` | `FOLLOW_EOF_in_hamsinglesign737`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir_in_extfidir15421`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir_in_extfidir15459`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir1_in_extfidir25279`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir1_in_handconfig12604`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir1_in_handconfigtail22872`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir1_in_handconfigtail22907`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir1_in_replacement13529`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir1_in_replacement13657`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir1_in_replacetail113927`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir1_in_splitextfidir25358`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir1_in_splitextfidir25380`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir1_in_synpred7_Ham4Parser2415`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir2_in_handconfigtail22819`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidir2_in_synpred9_Ham4Parser2797`
    `static org.antlr.runtime.BitSet` | `FOLLOW_extfidirtok_in_extfidir15524`
    `static org.antlr.runtime.BitSet` | `FOLLOW_finger_in_digit4730`
    `static org.antlr.runtime.BitSet` | `FOLLOW_finger_in_hsfingeritem4648`
    `static org.antlr.runtime.BitSet` | `FOLLOW_finger_in_synpred10_Ham4Parser3167`
    `static org.antlr.runtime.BitSet` | `FOLLOW_finger_in_thumbbetweenexplicit5051`
    `static org.antlr.runtime.BitSet` | `FOLLOW_finger_in_thumbbetweenexplicit5072`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerbending_in_fingershape4829`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerbending_in_handbendandthumb3936`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerbending_in_handbendandthumb3955`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerbending_in_synpred11_Ham4Parser3281`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerbendingtok_in_fingerbending14323`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingercrossing_in_recfingercrossinglist4578`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingercrossing_in_synpred18_Ham4Parser4548`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingercrossinglist_in_handshape13225`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingercrossinglist_in_handshape13345`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingercrossinglist_in_handshape13478`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingercrossinglist_in_handshape13559`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerlist_in_handshape13450`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerlist_in_handshape13531`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerpart_in_fingercrossing4899`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerpart_in_lochand8454`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerpart_in_lochand8502`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerpart_in_synpred11_Ham4Parser3285`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingerpart_in_thumbextra5213`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingershape_in_recfingershapelist4423`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingershape_in_synpred17_Ham4Parser4393`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingershapelist_in_handshape13211`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingershapelist_in_handshape13331`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingershapelist_in_handshape13464`
    `static org.antlr.runtime.BitSet` | `FOLLOW_fingershapelist_in_handshape13545`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamAlternatingmotion_in_alternations11846`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamAlternatingmotion_in_alternations11858`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamAlternatingmotion_in_repetitions11712`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamAlternatingmotion_in_repetitions11728`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamAlternatingmotion_in_repetitions11783`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamAlternatingmotion_in_repetitions11795`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamAlternatingmotion_in_symmoperator1502`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamAlternatingmotion_in_synpred36_Ham4Parser11362`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamArmextended_in_contactbody7787`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamArmextended_in_location2not16043`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamArmextended_in_locationbodyarm6493`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBehind_in_locationarm6790`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBehind_in_locationbody6618`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBelowstomach_in_locbodytok16033`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBetween_in_basichandshape13711`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBetween_in_circularmovement12884`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBetween_in_extfidir15445`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBetween_in_levelcomplexarm7058`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBetween_in_levelcomplexbody6898`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBetween_in_levelcomplexhand6978`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBetween_in_palmor15732`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBetween_in_straightmovement12792`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBetween_in_synpred10_Ham4Parser3165`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBetween_in_synpred14_Ham4Parser3672`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBetween_in_thumbbetweendefault5131`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBetween_in_thumbbetweenexplicit5061`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBrushing_in_brushingcontact14026`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamBrushing_in_synpred38_Ham4Parser12406`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamChest_in_locbodytok16013`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamChin_in_locbodytok15963`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamClockfull_in_revolutions13257`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamClockfull_in_revolutions13273`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamClockfull_in_revolutions13318`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamClockfull_in_revolutions13330`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCorefref_in_locationindexuse6438`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamCoreftag_in_locationindexdefine6391`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEtc_in_basichandshape3840`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEtc_in_levelarm7592`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEtc_in_levelarm7685`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEtc_in_levelbody7138`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEtc_in_levelbody7203`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEtc_in_levelbody7296`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEtc_in_levelbody7339`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEtc_in_palmor15764`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEtc_in_repetitions11493`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEtc_in_repetitions11592`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEtc_in_synpred37_Ham4Parser11450`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerd_in_extfidirtok14662`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerdi_in_extfidirtok15231`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerdl_in_extfidirtok14672`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerdo_in_extfidirtok15330`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerdr_in_extfidirtok14652`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingeri_in_extfidirtok15009`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingeril_in_extfidirtok14924`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerir_in_extfidirtok15033`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerl_in_extfidirtok14682`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingero_in_extfidirtok14801`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerol_in_extfidirtok14716`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingeror_in_extfidirtok14825`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerr_in_extfidirtok14642`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingeru_in_extfidirtok14622`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerui_in_extfidirtok15132`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerul_in_extfidirtok14692`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingeruo_in_extfidirtok15429`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamExtfingerur_in_extfidirtok14632`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamEyebrows_in_locbodytok15756`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFingerplay_in_simplemovement12370`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFingerplay_in_specialfingerplaymovement12713`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFingerstraightmod_in_symmoperator1417`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFingerstraightmod_in_symmoperator1476`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamForehead_in_locbodytok15746`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFusionbegin_in_seqfusedaction111251`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFusionbegin_in_seqfusedaction1t10851`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFusionbegin_in_seqfusedaction2t10207`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFusionend_in_seqfusedaction111277`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFusionend_in_seqfusedaction1t10877`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamFusionend_in_seqfusedaction2t10233`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamHead_in_locbodytok15726`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamHeadtop_in_locbodytok15736`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamLargemod_in_action19812`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamLargemod_in_action1t9466`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamLargemod_in_hsfingeritem4660`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamLargemod_in_symmoperator1433`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamLargemod_in_symmoperator1460`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNeck_in_locbodytok15983`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNeutralspace_in_location2not16027`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNeutralspace_in_locationbodyarm6481`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNomotion_in_action19738`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNomotion_in_sign21130`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNomotion_in_sign21195`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNomotion_in_splitreplacetail13818`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNomotion_in_synpred2_Ham4Parser1104`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNondominant_in_basichandshape3818`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNondominant_in_nondomsign11267`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNondominant_in_sign21140`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNondominant_in_synpred1_Ham4Parser920`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNondominant_in_synpred2_Ham4Parser1106`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNonipsi_in_symmoperator1517`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNose_in_locbodytok15766`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamNostrils_in_locbodytok15776`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamOrirelative_in_extfidir15494`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamOrirelative_in_palmor15799`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParbegin_in_handconfigtail22859`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParbegin_in_handconstellation7969`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParbegin_in_handshape23031`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParbegin_in_location2not16120`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParbegin_in_minitialconfig22056`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParbegin_in_paraction111083`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParbegin_in_paraction1t10510`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParbegin_in_paraction2t10049`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParbegin_in_splitaction2loc210286`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParbegin_in_splitaction2t10401`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParbegin_in_splitextfidir25346`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParbegin_in_splithandconfig22688`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParbegin_in_splitpalmor25633`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParbegin_in_splitreplacetail13772`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParbegin_in_synpred29_Ham4Parser8959`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParbegin_in_synpred30_Ham4Parser9049`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParbegin_in_synpred7_Ham4Parser2410`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParend_in_handconfigtail22929`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParend_in_handconstellation8027`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParend_in_handshape23081`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParend_in_location2not16160`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParend_in_minitialconfig22152`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParend_in_minitialconfig22246`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParend_in_paraction111109`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParend_in_paraction1t10536`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParend_in_paraction2t10075`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParend_in_splitaction2loc210331`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParend_in_splitaction2t10446`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParend_in_splitextfidir25390`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParend_in_splithandconfig22730`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParend_in_splitpalmor25677`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParend_in_splitreplacetail13863`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamParend_in_synpred29_Ham4Parser8991`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPlus_in_hamsignseq837`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPlus_in_handconfigtail22894`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPlus_in_handconstellation7998`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPlus_in_handshape23056`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPlus_in_location2not16140`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPlus_in_minitialconfig22123`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPlus_in_minitialconfig22210`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPlus_in_splitaction2loc210309`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPlus_in_splitaction2t10424`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPlus_in_splitextfidir25368`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPlus_in_splithandconfig22709`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPlus_in_splitpalmor25655`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPlus_in_splitreplacetail13793`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPlus_in_synpred29_Ham4Parser8968`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPlus_in_synpred30_Ham4Parser9058`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamPlus_in_synpred6_Ham4Parser2093`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamRepeatfromstartseveral_in_repetitions11483`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamRepeatfromstartseveral_in_synpred37_Ham4Parser11448`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamReplace_in_replacement13383`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqbegin_in_brushingcontact14014`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqbegin_in_contactofhand8103`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqbegin_in_movingrepetition11896`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqbegin_in_nmaction1t10936`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqbegin_in_nmicunit1773`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqbegin_in_repetitions11472`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqbegin_in_seqaction111167`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqbegin_in_seqaction1t10767`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqbegin_in_seqaction2t10128`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqbegin_in_seqnmoraction1t10595`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqbegin_in_specialfingerplaymovement12687`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqbegin_in_synpred33_Ham4Parser9863`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqbegin_in_synpred36_Ham4Parser11353`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqbegin_in_synpred37_Ham4Parser11446`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqbegin_in_synpred38_Ham4Parser12404`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqend_in_brushingcontact14046`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqend_in_contactofhand8262`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqend_in_movingrepetition11957`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqend_in_nmaction1t11020`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqend_in_nmicunit1856`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqend_in_repetitions11513`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqend_in_seqaction111193`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqend_in_seqaction1t10793`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqend_in_seqaction2t10154`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqend_in_seqnmoraction1t10721`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamSeqend_in_specialfingerplaymovement12723`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamShoulders_in_locbodytok16003`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamShouldertop_in_locbodytok15993`
    `static org.antlr.runtime.BitSet` | `FOLLOW_hamsignseq_in_hamsinglesign727`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamStomach_in_locbodytok16023`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamThumb_in_thumb14449`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamTongue_in_locbodytok15786`
    `static org.antlr.runtime.BitSet` | `FOLLOW_HamUnderchin_in_locbodytok15973`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handbendandthumb_in_basichandshape3853`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handconfig1_in_minitialconfig12320`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handconfig1_in_minitialconfig22067`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handconfig1_in_splithandconfig22699`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handconfig1_in_splithandconfig22720`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handconfig2_in_minitialconfig21957`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handconfig2_in_synpred4_Ham4Parser1935`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handconfigtail2_in_handconfig22447`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handconstellation_in_action1t9402`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handconstellation_in_location2not16003`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handconstellation_in_synpred19_Ham4Parser5981`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handconstellation_in_synpred32_Ham4Parser9356`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handpart_in_lochand8438`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handshape1_in_handconfig12580`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handshape1_in_handshape23002`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handshape1_in_handshape23046`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handshape1_in_handshape23071`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handshape1_in_replacement13423`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handshape2_in_handconfig22437`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handshape2_in_handconfig22502`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handshape2_in_synpred7_Ham4Parser2406`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handshape2_in_synpred8_Ham4Parser2480`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handshapeclass_in_basichandshape3794`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handshapeclass_in_synpred14_Ham4Parser3674`
    `static org.antlr.runtime.BitSet` | `FOLLOW_handshapeclasstok_in_handshapeclass14218`
    `static org.antlr.runtime.BitSet` | `FOLLOW_hsdigit_in_synpred11_Ham4Parser3274`
    `static org.antlr.runtime.BitSet` | `FOLLOW_hsfingeritem_in_hsdigit4790`
    `static org.antlr.runtime.BitSet` | `FOLLOW_hsfingeritem_in_reccautiousfingerlist4265`
    `static org.antlr.runtime.BitSet` | `FOLLOW_hsfingeritem_in_recfingerlist4108`
    `static org.antlr.runtime.BitSet` | `FOLLOW_hsfingeritem_in_synpred10_Ham4Parser3160`
    `static org.antlr.runtime.BitSet` | `FOLLOW_hsfingeritem_in_synpred13_Ham4Parser3407`
    `static org.antlr.runtime.BitSet` | `FOLLOW_hsfingeritem_in_synpred15_Ham4Parser4078`
    `static org.antlr.runtime.BitSet` | `FOLLOW_hsfingeritem_in_synpred16_Ham4Parser4233`
    `static org.antlr.runtime.BitSet` | `FOLLOW_initialconfig1_in_nondomsign11277`
    `static org.antlr.runtime.BitSet` | `FOLLOW_initialconfig1_in_sign21150`
    `static org.antlr.runtime.BitSet` | `FOLLOW_initialconfig1_in_sign21205`
    `static org.antlr.runtime.BitSet` | `FOLLOW_initialconfig1_in_synpred1_Ham4Parser922`
    `static org.antlr.runtime.BitSet` | `FOLLOW_initialconfig1_in_synpred2_Ham4Parser1108`
    `static org.antlr.runtime.BitSet` | `FOLLOW_initialconfig2_in_sign21011`
    `static org.antlr.runtime.BitSet` | `FOLLOW_initialconfig2_in_sign21054`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelarm_in_levelcomplexarm7034`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelarm_in_levelcomplexarm7074`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelarm_in_nmaction1t10990`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelarm_in_nmicunit1826`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelarm_in_seqnmoraction1t10638`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelbody_in_levelcomplexbody6874`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelbody_in_levelcomplexbody6914`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelbody_in_nmaction1t10967`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelbody_in_nmicunit1804`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelbody_in_seqnmoraction1t10626`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelbody_in_synpred22_Ham4Parser6514`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelbody_in_synpred3_Ham4Parser1798`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelbody_in_synpred34_Ham4Parser10620`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelbody_in_synpred35_Ham4Parser10961`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelcomplexarm_in_contactoharm8375`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelcomplexarm_in_locationarm6778`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelcomplexbody_in_locationbody6606`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelcomplexhand_in_contactohhand8324`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelcomplexhand_in_locationhand6702`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelhand_in_levelcomplexhand6954`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelhand_in_levelcomplexhand6994`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelhand_in_synpred21_Ham4Parser6283`
    `static org.antlr.runtime.BitSet` | `FOLLOW_levelhand_in_synpred26_Ham4Parser8188`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locarm_in_levelarm7580`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locarm_in_levelarm7673`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location1_in_action1t9442`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location1_in_brushingcontact14036`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location1_in_location1as25925`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location1_in_location2not16130`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location1_in_location2not16150`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location1_in_minitialconfig12332`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location1_in_minitialconfig22138`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location1_in_minitialconfig22196`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location1_in_minitialconfig22229`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location1as2_in_location25874`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location2_in_minitialconfig22013`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location2_in_splitaction2loc210342`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location2_in_synpred29_Ham4Parser8993`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location2_in_synpred5_Ham4Parser1983`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location2not1_in_action2t8846`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location2not1_in_location25890`
    `static org.antlr.runtime.BitSet` | `FOLLOW_location2not1_in_synpred27_Ham4Parser8814`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locationarm_in_locationbodyarm6552`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locationbody_in_location2not16072`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locationbody_in_locationbodyarm6536`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locationbodyarm_in_location16321`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locationhand_in_handconstellation7984`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locationhand_in_handconstellation8013`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locationhand_in_location16305`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locationindexdefine_in_simplemovement12527`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locationindexdefine_in_synpred39_Ham4Parser12501`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locationindexuse_in_location16265`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locationindexuse_in_synpred20_Ham4Parser6223`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locbody_in_levelbody7126`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locbody_in_levelbody7280`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locbodytok_in_locbody16053`
    `static org.antlr.runtime.BitSet` | `FOLLOW_lochand_in_levelhand7421`
    `static org.antlr.runtime.BitSet` | `FOLLOW_lochand_in_levelhand7501`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locsided_in_levelbody7191`
    `static org.antlr.runtime.BitSet` | `FOLLOW_locsided_in_levelbody7323`
    `static org.antlr.runtime.BitSet` | `FOLLOW_minitialconfig1_in_initialconfig11639`
    `static org.antlr.runtime.BitSet` | `FOLLOW_minitialconfig2_in_initialconfig21567`
    `static org.antlr.runtime.BitSet` | `FOLLOW_modifier_in_action19793`
    `static org.antlr.runtime.BitSet` | `FOLLOW_movementarrow_in_movingrepetition11917`
    `static org.antlr.runtime.BitSet` | `FOLLOW_movementarrow_in_straightmovement12768`
    `static org.antlr.runtime.BitSet` | `FOLLOW_movementarrow_in_straightmovement12807`
    `static org.antlr.runtime.BitSet` | `FOLLOW_movementcircle_in_circularmovement12860`
    `static org.antlr.runtime.BitSet` | `FOLLOW_movementcircle_in_circularmovement12899`
    `static org.antlr.runtime.BitSet` | `FOLLOW_movementcross_in_simplemovement12260`
    `static org.antlr.runtime.BitSet` | `FOLLOW_movingrepetition_in_repetitions11663`
    `static org.antlr.runtime.BitSet` | `FOLLOW_nmicunit_in_nminitialconfig1710`
    `static org.antlr.runtime.BitSet` | `FOLLOW_nminitialconfig_in_initialconfig11626`
    `static org.antlr.runtime.BitSet` | `FOLLOW_nminitialconfig_in_initialconfig21554`
    `static org.antlr.runtime.BitSet` | `FOLLOW_nondomsign1_in_sign2or1944`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor_in_palmor15708`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor_in_palmor15746`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor1_in_handconfig12618`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor1_in_handconfigtail22884`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor1_in_handconfigtail22919`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor1_in_palmor25566`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor1_in_replacement13552`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor1_in_replacement13673`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor1_in_replacement13718`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor1_in_replacetail113939`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor1_in_replacetail113958`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor1_in_splitpalmor25645`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor1_in_splitpalmor25667`
    `static org.antlr.runtime.BitSet` | `FOLLOW_palmor2_in_handconfigtail22829`
    `static org.antlr.runtime.BitSet` | `FOLLOW_paraction1_in_action19916`
    `static org.antlr.runtime.BitSet` | `FOLLOW_paraction1t_in_action1t9526`
    `static org.antlr.runtime.BitSet` | `FOLLOW_paraction2t_in_action2t9112`
    `static org.antlr.runtime.BitSet` | `FOLLOW_pcontact_in_contactbody7771`
    `static org.antlr.runtime.BitSet` | `FOLLOW_pcontact_in_contacthand7869`
    `static org.antlr.runtime.BitSet` | `FOLLOW_pcontact_in_contactofhand8128`
    `static org.antlr.runtime.BitSet` | `FOLLOW_reccautiousfingerlist_in_cautiousfingerlist4162`
    `static org.antlr.runtime.BitSet` | `FOLLOW_reccautiousfingerlist_in_reccautiousfingerlist4279`
    `static org.antlr.runtime.BitSet` | `FOLLOW_recfingercrossinglist_in_fingercrossinglist4477`
    `static org.antlr.runtime.BitSet` | `FOLLOW_recfingercrossinglist_in_recfingercrossinglist4592`
    `static org.antlr.runtime.BitSet` | `FOLLOW_recfingerlist_in_fingerlist3999`
    `static org.antlr.runtime.BitSet` | `FOLLOW_recfingerlist_in_recfingerlist4122`
    `static org.antlr.runtime.BitSet` | `FOLLOW_recfingershapelist_in_fingershapelist4319`
    `static org.antlr.runtime.BitSet` | `FOLLOW_recfingershapelist_in_recfingershapelist4437`
    `static org.antlr.runtime.BitSet` | `FOLLOW_repetition_in_movingrepetition11907`
    `static org.antlr.runtime.BitSet` | `FOLLOW_repetition_in_repetitions11560`
    `static org.antlr.runtime.BitSet` | `FOLLOW_repetition_in_repetitions11624`
    `static org.antlr.runtime.BitSet` | `FOLLOW_repetition_in_synpred36_Ham4Parser11358`
    `static org.antlr.runtime.BitSet` | `FOLLOW_repetitions_in_repetitionsoption11392`
    `static org.antlr.runtime.BitSet` | `FOLLOW_repetitionsoption_in_action1t9600`
    `static org.antlr.runtime.BitSet` | `FOLLOW_repetitionsoption_in_action2t8856`
    `static org.antlr.runtime.BitSet` | `FOLLOW_repetitionsoption_in_action2t9180`
    `static org.antlr.runtime.BitSet` | `FOLLOW_replacement_in_simplemovement12346`
    `static org.antlr.runtime.BitSet` | `FOLLOW_replacetail1_in_splitreplacetail13783`
    `static org.antlr.runtime.BitSet` | `FOLLOW_replacetail1_in_splitreplacetail13843`
    `static org.antlr.runtime.BitSet` | `FOLLOW_revolutions_in_simplemovement12195`
    `static org.antlr.runtime.BitSet` | `FOLLOW_seqaction1_in_action19945`
    `static org.antlr.runtime.BitSet` | `FOLLOW_seqaction2t_in_action2t9136`
    `static org.antlr.runtime.BitSet` | `FOLLOW_seqfusedaction1_in_action19974`
    `static org.antlr.runtime.BitSet` | `FOLLOW_seqfusedaction1t_in_action1t9580`
    `static org.antlr.runtime.BitSet` | `FOLLOW_seqfusedaction2t_in_action2t9160`
    `static org.antlr.runtime.BitSet` | `FOLLOW_seqnmoraction1t_in_action1t9555`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_arc0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_ccontact0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_clock0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_dorsalorpalmar0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_ellipsedirection0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_extfidirtok14730`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_extfidirtok14839`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_extfidirtok14938`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_extfidirtok15047`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_extfidirtok15146`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_extfidirtok15245`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_extfidirtok15344`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_extfidirtok15443`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_finger0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_fingerbendingtok14255`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_fingerpart0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_handpart0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_handshapeclasstok14082`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_locarm0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_locbodytok15810`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_locbodytok15892`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_locsided0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_modifier0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_movementarrow0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_movementcircle0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_movementcross0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_palmor0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_pcontact0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_repetition0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_side0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_size0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_sizechange0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_symmoperator1345`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_thumbpostok14365`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_wristmovement0`
    `static org.antlr.runtime.BitSet` | `FOLLOW_set_in_zigzag13011`
    `static org.antlr.runtime.BitSet` | `FOLLOW_side_in_levelarm7622`
    `static org.antlr.runtime.BitSet` | `FOLLOW_side_in_levelarm7663`
    `static org.antlr.runtime.BitSet` | `FOLLOW_side_in_levelbody7153`
    `static org.antlr.runtime.BitSet` | `FOLLOW_side_in_levelbody7218`
    `static org.antlr.runtime.BitSet` | `FOLLOW_side_in_levelbody7256`
    `static org.antlr.runtime.BitSet` | `FOLLOW_side_in_levelhand7451`
    `static org.antlr.runtime.BitSet` | `FOLLOW_side_in_levelhand7491`
    `static org.antlr.runtime.BitSet` | `FOLLOW_sign2_in_sign2or1960`
    `static org.antlr.runtime.BitSet` | `FOLLOW_sign2or1_in_hamsignseq805`
    `static org.antlr.runtime.BitSet` | `FOLLOW_sign2or1_in_hamsignseq857`
    `static org.antlr.runtime.BitSet` | `FOLLOW_simplemovement_in_action19767`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_arckind12979`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_ellipse13189`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_movingrepetition11929`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_simplemovement12054`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_simplemovement12176`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_simplemovement12276`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_simplemovement12319`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_sizechangenonlinear13145`
    `static org.antlr.runtime.BitSet` | `FOLLOW_size_in_zigzag13071`
    `static org.antlr.runtime.BitSet` | `FOLLOW_sizechange_in_replacement13396`
    `static org.antlr.runtime.BitSet` | `FOLLOW_sizechange_in_sizechangenonlinear13133`
    `static org.antlr.runtime.BitSet` | `FOLLOW_sizechangenonlinear_in_movingrepetition11944`
    `static org.antlr.runtime.BitSet` | `FOLLOW_sizechangenonlinear_in_repetitions11685`
    `static org.antlr.runtime.BitSet` | `FOLLOW_sizechangenonlinear_in_simplemovement12233`
    `static org.antlr.runtime.BitSet` | `FOLLOW_sizechangenonlinear_in_zigzag13101`
    `static org.antlr.runtime.BitSet` | `FOLLOW_specialfingerplaymovement_in_action19887`
    `static org.antlr.runtime.BitSet` | `FOLLOW_splitaction2loc2_in_action2t9023`
    `static org.antlr.runtime.BitSet` | `FOLLOW_splitaction2t_in_action2t9088`
    `static org.antlr.runtime.BitSet` | `FOLLOW_splitextfidir2_in_extfidir25295`
    `static org.antlr.runtime.BitSet` | `FOLLOW_splithandconfig2_in_handconfig22531`
    `static org.antlr.runtime.BitSet` | `FOLLOW_splitpalmor2_in_palmor25582`
    `static org.antlr.runtime.BitSet` | `FOLLOW_splitreplacetail_in_replacement13495`
    `static org.antlr.runtime.BitSet` | `FOLLOW_splitreplacetail_in_replacement13618`
    `static org.antlr.runtime.BitSet` | `FOLLOW_splitreplacetail_in_synpred40_Ham4Parser13457`
    `static org.antlr.runtime.BitSet` | `FOLLOW_straightmovement_in_simplemovement12038`
    `static org.antlr.runtime.BitSet` | `FOLLOW_symmoperator_in_sign21001`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumb_in_digit4720`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumb_in_hsdigit4780`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumb_in_thumbextra5197`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumbbetween_in_thumbspecial4973`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumbbetweendefault_in_handshape13494`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumbbetweendefault_in_synpred13_Ham4Parser3414`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumbbetweendefault_in_thumbbetween5022`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumbbetweenexplicit_in_handshape13239`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumbbetweenexplicit_in_thumbbetween5012`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumbextra_in_handshape13498`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumbextra_in_synpred13_Ham4Parser3418`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumbextra_in_thumbspecial4983`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumbpos_in_handbendandthumb3924`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumbpos_in_handbendandthumb3967`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumbpostok_in_thumbpos14409`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumbspecial_in_handshape13369`
    `static org.antlr.runtime.BitSet` | `FOLLOW_thumbspecial_in_synpred12_Ham4Parser3363`
    `static org.antlr.runtime.BitSet` | `FOLLOW_wristmovement_in_simplemovement12303`
    `static org.antlr.runtime.BitSet` | `FOLLOW_zigzag_in_simplemovement12121`
    `static int` | `FSHAPE`
    `static int` | `HamAltbegin`
    `static int` | `HamAltend`
    `static int` | `HamAlternatingmotion`
    `static int` | `HamArcd`
    `static int` | `HamArcl`
    `static int` | `HamArcr`
    `static int` | `HamArcu`
    `static int` | `HamArmextended`
    `static int` | `HamBehind`
    `static int` | `HamBelowstomach`
    `static int` | `HamBetween`
    `static int` | `HamBrushing`
    `static int` | `HamCee12`
    `static int` | `HamCee12open`
    `static int` | `HamCeeall`
    `static int` | `HamCheek`
    `static int` | `HamChest`
    `static int` | `HamChin`
    `static int` | `HamCircled`
    `static int` | `HamCircledi`
    `static int` | `HamCircledl`
    `static int` | `HamCircledo`
    `static int` | `HamCircledr`
    `static int` | `HamCirclei`
    `static int` | `HamCircleil`
    `static int` | `HamCircleir`
    `static int` | `HamCirclel`
    `static int` | `HamCircleo`
    `static int` | `HamCircleol`
    `static int` | `HamCircleor`
    `static int` | `HamCircler`
    `static int` | `HamCircleu`
    `static int` | `HamCircleui`
    `static int` | `HamCircleul`
    `static int` | `HamCircleuo`
    `static int` | `HamCircleur`
    `static int` | `HamClockd`
    `static int` | `HamClockdl`
    `static int` | `HamClockdr`
    `static int` | `HamClockfull`
    `static int` | `HamClockl`
    `static int` | `HamClockr`
    `static int` | `HamClocku`
    `static int` | `HamClockul`
    `static int` | `HamClockur`
    `static int` | `HamClose`
    `static int` | `HamComma`
    `static int` | `HamCorefref`
    `static int` | `HamCoreftag`
    `static int` | `HamCross`
    `static int` | `HamDecreasing`
    `static int` | `HamDoublebent`
    `static int` | `HamDoublehooked`
    `static int` | `HamEar`
    `static int` | `HamEarlobe`
    `static int` | `HamElbow`
    `static int` | `HamElbowinside`
    `static int` | `HamEllipseh`
    `static int` | `HamEllipseul`
    `static int` | `HamEllipseur`
    `static int` | `HamEllipsev`
    `static int` | `HamEtc`
    `static int` | `HamExclaim`
    `static int` | `HamExtfingerd`
    `static int` | `HamExtfingerdi`
    `static int` | `HamExtfingerdl`
    `static int` | `HamExtfingerdo`
    `static int` | `HamExtfingerdr`
    `static int` | `HamExtfingeri`
    `static int` | `HamExtfingeril`
    `static int` | `HamExtfingerir`
    `static int` | `HamExtfingerl`
    `static int` | `HamExtfingero`
    `static int` | `HamExtfingerol`
    `static int` | `HamExtfingeror`
    `static int` | `HamExtfingerr`
    `static int` | `HamExtfingeru`
    `static int` | `HamExtfingerui`
    `static int` | `HamExtfingerul`
    `static int` | `HamExtfingeruo`
    `static int` | `HamExtfingerur`
    `static int` | `HamEyebrows`
    `static int` | `HamEyes`
    `static int` | `HamFast`
    `static int` | `HamFinger2`
    `static int` | `HamFinger23`
    `static int` | `HamFinger2345`
    `static int` | `HamFinger23spread`
    `static int` | `HamFingerbase`
    `static int` | `HamFingerbendmod`
    `static int` | `HamFingerhookedmod`
    `static int` | `HamFingermidjoint`
    `static int` | `HamFingernail`
    `static int` | `HamFingerpad`
    `static int` | `HamFingerplay`
    `static int` | `HamFingerside`
    `static int` | `HamFingerstraightmod`
    `static int` | `HamFingertip`
    `static int` | `HamFist`
    `static int` | `HamFlathand`
    `static int` | `HamForehead`
    `static int` | `HamFullstop`
    `static int` | `HamFusionbegin`
    `static int` | `HamFusionend`
    `static int` | `HamHalt`
    `static int` | `HamHandback`
    `static int` | `HamHead`
    `static int` | `HamHeadtop`
    `static int` | `HamIncreasing`
    `static int` | `HamIndexfinger`
    `static int` | `HamInterlock`
    `static int` | `HamLargemod`
    `static int` | `HamLinefeed`
    `static int` | `HamLips`
    `static int` | `HamLowerarm`
    `static int` | `HamLrat`
    `static int` | `HamLrbeside`
    `static int` | `HamMetaalt`
    `static int` | `HamMiddlefinger`
    `static int` | `HamMime`
    `static int` | `HamMovecross`
    `static int` | `HamMoved`
    `static int` | `HamMovedi`
    `static int` | `HamMovedl`
    `static int` | `HamMovedo`
    `static int` | `HamMovedr`
    `static int` | `HamMovei`
    `static int` | `HamMoveil`
    `static int` | `HamMoveir`
    `static int` | `HamMovel`
    `static int` | `HamMoveo`
    `static int` | `HamMoveol`
    `static int` | `HamMoveor`
    `static int` | `HamMover`
    `static int` | `HamMoveu`
    `static int` | `HamMoveui`
    `static int` | `HamMoveul`
    `static int` | `HamMoveuo`
    `static int` | `HamMoveur`
    `static int` | `HamMovex`
    `static int` | `HamNbs`
    `static int` | `HamNeck`
    `static int` | `HamNeutralspace`
    `static int` | `HamNodding`
    `static int` | `HamNomotion`
    `static int` | `HamNondominant`
    `static int` | `HamNonipsi`
    `static int` | `HamNose`
    `static int` | `HamNostrils`
    `static int` | `HamOrirelative`
    `static int` | `HamPagebreak`
    `static int` | `HamPalm`
    `static int` | `HamPalmd`
    `static int` | `HamPalmdl`
    `static int` | `HamPalmdr`
    `static int` | `HamPalml`
    `static int` | `HamPalmr`
    `static int` | `HamPalmu`
    `static int` | `HamPalmul`
    `static int` | `HamPalmur`
    `static int` | `HamParbegin`
    `static int` | `HamParend`
    `static int` | `HamPinch12`
    `static int` | `HamPinch12open`
    `static int` | `HamPinchall`
    `static int` | `HamPinky`
    `static int` | `HamPinkyside`
    `static int` | `HamPlus`
    `static int` | `HamQuery`
    `static int` | `HamRepeatcontinue`
    `static int` | `HamRepeatcontinueseveral`
    `static int` | `HamRepeatfromstart`
    `static int` | `HamRepeatfromstartseveral`
    `static int` | `HamRepeatreverse`
    `static int` | `HamReplace`
    `static int` | `HamRest`
    `static int` | `HamReturn`
    `static int` | `HamRingfinger`
    `static int` | `HamSeqbegin`
    `static int` | `HamSeqend`
    `static int` | `HamShoulders`
    `static int` | `HamShouldertop`
    `static int` | `HAMSIGNS`
    `static int` | `HamSlow`
    `static int` | `HamSmallmod`
    `static int` | `HamSpace`
    `static int` | `HamStirccw`
    `static int` | `HamStircw`
    `static int` | `HamStomach`
    `static int` | `HamSwinging`
    `static int` | `HamSymmlr`
    `static int` | `HamSymmpar`
    `static int` | `HamTab`
    `static int` | `HamTeeth`
    `static int` | `HamTense`
    `static int` | `HamThumb`
    `static int` | `HamThumbacrossmod`
    `static int` | `HamThumbball`
    `static int` | `HamThumbopenmod`
    `static int` | `HamThumboutmod`
    `static int` | `HamThumbside`
    `static int` | `HamTongue`
    `static int` | `HamTouch`
    `static int` | `HamTwisting`
    `static int` | `HamUnderchin`
    `static int` | `HamUpperarm`
    `static int` | `HamVersion40`
    `static int` | `HamWavy`
    `static int` | `HamWristback`
    `static int` | `HamWristpulse`
    `static int` | `HamWristtoback`
    `static int` | `HamWristtopinky`
    `static int` | `HamWristtopulse`
    `static int` | `HamWristtothumb`
    `static int` | `HamZigzag`
    `static int` | `HCONSTLLN`
    `static int` | `HDCFGTAIL2`
    `static int` | `HDCONFIG1`
    `static int` | `HDCONFIG2`
    `static int` | `HSCLASS`
    `static int` | `HSFINGERITEM`
    `static int` | `HSHAPE1`
    `static int` | `HSHAPE2`
    `static int` | `ICFG1`
    `static int` | `ICFG2`
    `static int` | `LEVARM`
    `static int` | `LEVBODY`
    `static int` | `LEVHAND`
    `static int` | `LOC1`
    `static int` | `LOC2`
    `static int` | `LOCBODY`
    `static int` | `LOCTNARM`
    `static int` | `LOCTNBODY`
    `static int` | `LOCTNBODYARM`
    `static int` | `LOCTNHAND`
    `static int` | `MICFG1`
    `static int` | `MICFG2`
    `static int` | `MOVINGREPETITION`
    `static int` | `NMACT1T`
    `static int` | `NMICLIST`
    `static int` | `NMICUNIT`
    `static int` | `PALMOR1`
    `static int` | `PALMOR2`
    `static int` | `PARACT1`
    `static int` | `PARACT1T`
    `static int` | `PARACT2T`
    `static int` | `REPETITIONS`
    `static int` | `REPLACE`
    `static int` | `REPLACETAIL1`
    `static int` | `SEQACT1`
    `static int` | `SEQACT1T`
    `static int` | `SEQACT2T`
    `static int` | `SEQFUSEDACT1`
    `static int` | `SEQFUSEDACT1T`
    `static int` | `SEQFUSEDACT2T`
    `static int` | `SIGN1`
    `static int` | `SIGN2`
    `static int` | `SIMPLEMVMT`
    `static int` | `SPLITACT2LOC2`
    `static int` | `SPLITACT2T`
    `static int` | `SPLITHDCFG2`
    `static int` | `SPLITREPLACETL`
    `static int` | `STRGHTMVMT`
    `static int` | `THSPECIAL`
    `static int` | `THUMBPOS`
    `static java.lang.String[]` | `tokenNames`
    `static int` | `WS`

    - ### Fields inherited from class org.antlr.runtime.Parser

      `input`

    - ### Fields inherited from class org.antlr.runtime.BaseRecognizer

      `DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Ham4Parser(org.antlr.runtime.TokenStream input)`
    `Ham4Parser(org.antlr.runtime.TokenStream lexer, boolean erimmed)` Constructs a new HNS-4 sign parser, taking input from the given token stream, and using the given setting of the "Immediate Error Reporting" flag.
    `Ham4Parser(org.antlr.runtime.TokenStream input, org.antlr.runtime.RecognizerSharedState state)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Ham4Parser.a1tlist_return` | `a1tlist()`
    `Ham4Parser.a1tstar_return` | `a1tstar()`
    `Ham4Parser.a2tlist_return` | `a2tlist()`
    `Ham4Parser.a2tstar_return` | `a2tstar()`
    `Ham4Parser.action1_return` | `action1()`
    `Ham4Parser.action1seq_return` | `action1seq()`
    `Ham4Parser.action1t_return` | `action1t()`
    `Ham4Parser.action1tseq_return` | `action1tseq()`
    `Ham4Parser.action2t_return` | `action2t()`
    `Ham4Parser.alternations_return` | `alternations()`
    `Ham4Parser.arc_return` | `arc()`
    `Ham4Parser.arckind_return` | `arckind()`
    `Ham4Parser.basichandshape_return` | `basichandshape()`
    `Ham4Parser.basichandshape1_return` | `basichandshape1()`
    `Ham4Parser.brushingcontact_return` | `brushingcontact()`
    `Ham4Parser.cautiousfingerlist_return` | `cautiousfingerlist()`
    `Ham4Parser.ccontact_return` | `ccontact()`
    `void` | `checkForParseError()` Does nothing unless parse errors have occurred, in which case a new `RecognitionException` is thrown whose detail message is a complete parsing error log.
    `Ham4Parser.circularmovement_return` | `circularmovement()`
    `Ham4Parser.clock_return` | `clock()`
    `Ham4Parser.contactbody_return` | `contactbody()`
    `Ham4Parser.contacthand_return` | `contacthand()`
    `Ham4Parser.contactofhand_return` | `contactofhand()`
    `Ham4Parser.contactoharm_return` | `contactoharm()`
    `Ham4Parser.contactohhand_return` | `contactohhand()`
    `Ham4Parser.digit_return` | `digit()`
    `Ham4Parser.dorsalorpalmar_return` | `dorsalorpalmar()`
    `Ham4Parser.ellipse_return` | `ellipse()`
    `Ham4Parser.ellipsedirection_return` | `ellipsedirection()`
    `Ham4Parser.extfidir_return` | `extfidir()`
    `Ham4Parser.extfidir1_return` | `extfidir1()`
    `Ham4Parser.extfidir2_return` | `extfidir2()`
    `Ham4Parser.extfidirtok_return` | `extfidirtok()`
    `Ham4Parser.finger_return` | `finger()`
    `Ham4Parser.fingerbending_return` | `fingerbending()`
    `Ham4Parser.fingerbendingtok_return` | `fingerbendingtok()`
    `Ham4Parser.fingercrossing_return` | `fingercrossing()`
    `Ham4Parser.fingercrossinglist_return` | `fingercrossinglist()`
    `Ham4Parser.fingerlist_return` | `fingerlist()`
    `Ham4Parser.fingerpart_return` | `fingerpart()`
    `Ham4Parser.fingershape_return` | `fingershape()`
    `Ham4Parser.fingershapelist_return` | `fingershapelist()`
    `java.lang.String` | `getGrammarFileName()`
    `java.lang.String[]` | `getTokenNames()`
    `org.antlr.runtime.tree.TreeAdaptor` | `getTreeAdaptor()`
    `Ham4Parser.hamsignseq_return` | `hamsignseq()`
    `Ham4Parser.hamsinglesign_return` | `hamsinglesign()`
    `Ham4Parser.handbendandthumb_return` | `handbendandthumb()`
    `Ham4Parser.handconfig1_return` | `handconfig1()`
    `Ham4Parser.handconfig2_return` | `handconfig2()`
    `Ham4Parser.handconfigtail2_return` | `handconfigtail2()`
    `Ham4Parser.handconstellation_return` | `handconstellation()`
    `Ham4Parser.handpart_return` | `handpart()`
    `Ham4Parser.handshape1_return` | `handshape1()`
    `Ham4Parser.handshape2_return` | `handshape2()`
    `Ham4Parser.handshapeclass_return` | `handshapeclass()`
    `Ham4Parser.handshapeclasstok_return` | `handshapeclasstok()`
    `Ham4Parser.hsdigit_return` | `hsdigit()`
    `Ham4Parser.hsfingeritem_return` | `hsfingeritem()`
    `Ham4Parser.initialconfig1_return` | `initialconfig1()`
    `Ham4Parser.initialconfig2_return` | `initialconfig2()`
    `Ham4Parser.levelarm_return` | `levelarm()`
    `Ham4Parser.levelbody_return` | `levelbody()`
    `Ham4Parser.levelcomplexarm_return` | `levelcomplexarm()`
    `Ham4Parser.levelcomplexbody_return` | `levelcomplexbody()`
    `Ham4Parser.levelcomplexhand_return` | `levelcomplexhand()`
    `Ham4Parser.levelhand_return` | `levelhand()`
    `Ham4Parser.locarm_return` | `locarm()`
    `Ham4Parser.location1_return` | `location1()`
    `Ham4Parser.location1as2_return` | `location1as2()`
    `Ham4Parser.location2_return` | `location2()`
    `Ham4Parser.location2not1_return` | `location2not1()`
    `Ham4Parser.locationarm_return` | `locationarm()`
    `Ham4Parser.locationbody_return` | `locationbody()`
    `Ham4Parser.locationbodyarm_return` | `locationbodyarm()`
    `Ham4Parser.locationhand_return` | `locationhand()`
    `Ham4Parser.locationindexdefine_return` | `locationindexdefine()`
    `Ham4Parser.locationindexuse_return` | `locationindexuse()`
    `Ham4Parser.locbody_return` | `locbody()`
    `Ham4Parser.locbodytok_return` | `locbodytok()`
    `Ham4Parser.lochand_return` | `lochand()`
    `Ham4Parser.locsided_return` | `locsided()`
    `Ham4Parser.minitialconfig1_return` | `minitialconfig1()`
    `Ham4Parser.minitialconfig2_return` | `minitialconfig2()`
    `Ham4Parser.modifier_return` | `modifier()`
    `Ham4Parser.movementarrow_return` | `movementarrow()`
    `Ham4Parser.movementcircle_return` | `movementcircle()`
    `Ham4Parser.movementcross_return` | `movementcross()`
    `Ham4Parser.movingrepetition_return` | `movingrepetition()`
    `Ham4Parser.nmaction1t_return` | `nmaction1t()`
    `Ham4Parser.nmicunit_return` | `nmicunit()`
    `Ham4Parser.nminitialconfig_return` | `nminitialconfig()`
    `Ham4Parser.nondomsign1_return` | `nondomsign1()`
    `Ham4Parser.palmor_return` | `palmor()`
    `Ham4Parser.palmor1_return` | `palmor1()`
    `Ham4Parser.palmor2_return` | `palmor2()`
    `Ham4Parser.paraction1_return` | `paraction1()`
    `Ham4Parser.paraction1t_return` | `paraction1t()`
    `Ham4Parser.paraction2t_return` | `paraction2t()`
    `Ham4Parser.pcontact_return` | `pcontact()`
    `Ham4Parser.reccautiousfingerlist_return` | `reccautiousfingerlist()`
    `Ham4Parser.recfingercrossinglist_return` | `recfingercrossinglist()`
    `Ham4Parser.recfingerlist_return` | `recfingerlist()`
    `Ham4Parser.recfingershapelist_return` | `recfingershapelist()`
    `Ham4Parser.repetition_return` | `repetition()`
    `Ham4Parser.repetitions_return` | `repetitions()`
    `Ham4Parser.repetitionsoption_return` | `repetitionsoption()`
    `Ham4Parser.replacement_return` | `replacement()`
    `Ham4Parser.replacetail1_return` | `replacetail1()`
    `void` | `reportError(org.antlr.runtime.RecognitionException ex)` Reports the parsing error defined by the given exception: an error message is appended to the overall error text for this parse, and a message is also generated immediately on standard output if the parser's "Immediate Error Reporting" flag is set.
    `Ham4Parser.revolutions_return` | `revolutions()`
    `Ham4Parser.seqaction1_return` | `seqaction1()`
    `Ham4Parser.seqaction1t_return` | `seqaction1t()`
    `Ham4Parser.seqaction2t_return` | `seqaction2t()`
    `Ham4Parser.seqfusedaction1_return` | `seqfusedaction1()`
    `Ham4Parser.seqfusedaction1t_return` | `seqfusedaction1t()`
    `Ham4Parser.seqfusedaction2t_return` | `seqfusedaction2t()`
    `Ham4Parser.seqnmoraction1t_return` | `seqnmoraction1t()`
    `void` | `setTreeAdaptor(org.antlr.runtime.tree.TreeAdaptor adaptor)`
    `Ham4Parser.side_return` | `side()`
    `Ham4Parser.sign2_return` | `sign2()`
    `Ham4Parser.sign2or1_return` | `sign2or1()`
    `Ham4Parser.simplemovement_return` | `simplemovement()`
    `Ham4Parser.size_return` | `size()`
    `Ham4Parser.sizechange_return` | `sizechange()`
    `Ham4Parser.sizechangenonlinear_return` | `sizechangenonlinear()`
    `Ham4Parser.specialfingerplaymovement_return` | `specialfingerplaymovement()`
    `Ham4Parser.splitaction2loc2_return` | `splitaction2loc2()`
    `Ham4Parser.splitaction2t_return` | `splitaction2t()`
    `Ham4Parser.splitextfidir2_return` | `splitextfidir2()`
    `Ham4Parser.splithandconfig2_return` | `splithandconfig2()`
    `Ham4Parser.splitpalmor2_return` | `splitpalmor2()`
    `Ham4Parser.splitreplacetail_return` | `splitreplacetail()`
    `Ham4Parser.straightmovement_return` | `straightmovement()`
    `Ham4Parser.symmoperator_return` | `symmoperator()`
    `void` | `synpred1_Ham4Parser_fragment()`
    `boolean` | `synpred1_Ham4Parser()`
    `void` | `synpred10_Ham4Parser_fragment()`
    `boolean` | `synpred10_Ham4Parser()`
    `void` | `synpred11_Ham4Parser_fragment()`
    `boolean` | `synpred11_Ham4Parser()`
    `void` | `synpred12_Ham4Parser_fragment()`
    `boolean` | `synpred12_Ham4Parser()`
    `void` | `synpred13_Ham4Parser_fragment()`
    `boolean` | `synpred13_Ham4Parser()`
    `void` | `synpred14_Ham4Parser_fragment()`
    `boolean` | `synpred14_Ham4Parser()`
    `void` | `synpred15_Ham4Parser_fragment()`
    `boolean` | `synpred15_Ham4Parser()`
    `void` | `synpred16_Ham4Parser_fragment()`
    `boolean` | `synpred16_Ham4Parser()`
    `void` | `synpred17_Ham4Parser_fragment()`
    `boolean` | `synpred17_Ham4Parser()`
    `void` | `synpred18_Ham4Parser_fragment()`
    `boolean` | `synpred18_Ham4Parser()`
    `void` | `synpred19_Ham4Parser_fragment()`
    `boolean` | `synpred19_Ham4Parser()`
    `void` | `synpred2_Ham4Parser_fragment()`
    `boolean` | `synpred2_Ham4Parser()`
    `void` | `synpred20_Ham4Parser_fragment()`
    `boolean` | `synpred20_Ham4Parser()`
    `void` | `synpred21_Ham4Parser_fragment()`
    `boolean` | `synpred21_Ham4Parser()`
    `void` | `synpred22_Ham4Parser_fragment()`
    `boolean` | `synpred22_Ham4Parser()`
    `void` | `synpred23_Ham4Parser_fragment()`
    `boolean` | `synpred23_Ham4Parser()`
    `void` | `synpred24_Ham4Parser_fragment()`
    `boolean` | `synpred24_Ham4Parser()`
    `void` | `synpred25_Ham4Parser_fragment()`
    `boolean` | `synpred25_Ham4Parser()`
    `void` | `synpred26_Ham4Parser_fragment()`
    `boolean` | `synpred26_Ham4Parser()`
    `void` | `synpred27_Ham4Parser_fragment()`
    `boolean` | `synpred27_Ham4Parser()`
    `void` | `synpred28_Ham4Parser_fragment()`
    `boolean` | `synpred28_Ham4Parser()`
    `void` | `synpred29_Ham4Parser_fragment()`
    `boolean` | `synpred29_Ham4Parser()`
    `void` | `synpred3_Ham4Parser_fragment()`
    `boolean` | `synpred3_Ham4Parser()`
    `void` | `synpred30_Ham4Parser_fragment()`
    `boolean` | `synpred30_Ham4Parser()`
    `void` | `synpred31_Ham4Parser_fragment()`
    `boolean` | `synpred31_Ham4Parser()`
    `void` | `synpred32_Ham4Parser_fragment()`
    `boolean` | `synpred32_Ham4Parser()`
    `void` | `synpred33_Ham4Parser_fragment()`
    `boolean` | `synpred33_Ham4Parser()`
    `void` | `synpred34_Ham4Parser_fragment()`
    `boolean` | `synpred34_Ham4Parser()`
    `void` | `synpred35_Ham4Parser_fragment()`
    `boolean` | `synpred35_Ham4Parser()`
    `void` | `synpred36_Ham4Parser_fragment()`
    `boolean` | `synpred36_Ham4Parser()`
    `void` | `synpred37_Ham4Parser_fragment()`
    `boolean` | `synpred37_Ham4Parser()`
    `void` | `synpred38_Ham4Parser_fragment()`
    `boolean` | `synpred38_Ham4Parser()`
    `void` | `synpred39_Ham4Parser_fragment()`
    `boolean` | `synpred39_Ham4Parser()`
    `void` | `synpred4_Ham4Parser_fragment()`
    `boolean` | `synpred4_Ham4Parser()`
    `void` | `synpred40_Ham4Parser_fragment()`
    `boolean` | `synpred40_Ham4Parser()`
    `void` | `synpred5_Ham4Parser_fragment()`
    `boolean` | `synpred5_Ham4Parser()`
    `void` | `synpred6_Ham4Parser_fragment()`
    `boolean` | `synpred6_Ham4Parser()`
    `void` | `synpred7_Ham4Parser_fragment()`
    `boolean` | `synpred7_Ham4Parser()`
    `void` | `synpred8_Ham4Parser_fragment()`
    `boolean` | `synpred8_Ham4Parser()`
    `void` | `synpred9_Ham4Parser_fragment()`
    `boolean` | `synpred9_Ham4Parser()`
    `Ham4Parser.thumb_return` | `thumb()`
    `Ham4Parser.thumbbetween_return` | `thumbbetween()`
    `Ham4Parser.thumbbetweendefault_return` | `thumbbetweendefault()`
    `Ham4Parser.thumbbetweenexplicit_return` | `thumbbetweenexplicit()`
    `Ham4Parser.thumbextra_return` | `thumbextra()`
    `Ham4Parser.thumbpos_return` | `thumbpos()`
    `Ham4Parser.thumbpostok_return` | `thumbpostok()`
    `Ham4Parser.thumbspecial_return` | `thumbspecial()`
    `Ham4Parser.wristmovement_return` | `wristmovement()`
    `Ham4Parser.zigzag_return` | `zigzag()`

    - ### Methods inherited from class org.antlr.runtime.Parser

      `getSourceName, getTokenStream, reset, setTokenStream, traceIn, traceOut`

    - ### Methods inherited from class org.antlr.runtime.BaseRecognizer

      `alreadyParsedRule, beginResync, consumeUntil, consumeUntil, displayRecognitionError, emitErrorMessage, endResync, failed, getBacktrackingLevel, getErrorHeader, getErrorMessage, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, recover, recoverFromMismatchedSet, setBacktrackingLevel, toStrings, traceIn, traceOut`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tokenNames

          public static final java.lang.String[] tokenNames

    - #### EOF

          public static final int EOF

      See Also:
        Constant Field Values

    - #### WS

          public static final int WS

      See Also:
        Constant Field Values

    - #### HamTab

          public static final int HamTab

      See Also:
        Constant Field Values

    - #### HamLinefeed

          public static final int HamLinefeed

      See Also:
        Constant Field Values

    - #### HamPagebreak

          public static final int HamPagebreak

      See Also:
        Constant Field Values

    - #### HamReturn

          public static final int HamReturn

      See Also:
        Constant Field Values

    - #### HamVersion40

          public static final int HamVersion40

      See Also:
        Constant Field Values

    - #### HamSpace

          public static final int HamSpace

      See Also:
        Constant Field Values

    - #### HamExclaim

          public static final int HamExclaim

      See Also:
        Constant Field Values

    - #### HamQuery

          public static final int HamQuery

      See Also:
        Constant Field Values

    - #### HamFullstop

          public static final int HamFullstop

      See Also:
        Constant Field Values

    - #### HamComma

          public static final int HamComma

      See Also:
        Constant Field Values

    - #### HamPlus

          public static final int HamPlus

      See Also:
        Constant Field Values

    - #### HamMetaalt

          public static final int HamMetaalt

      See Also:
        Constant Field Values

    - #### HamClocku

          public static final int HamClocku

      See Also:
        Constant Field Values

    - #### HamClockul

          public static final int HamClockul

      See Also:
        Constant Field Values

    - #### HamClockl

          public static final int HamClockl

      See Also:
        Constant Field Values

    - #### HamClockdl

          public static final int HamClockdl

      See Also:
        Constant Field Values

    - #### HamClockd

          public static final int HamClockd

      See Also:
        Constant Field Values

    - #### HamClockdr

          public static final int HamClockdr

      See Also:
        Constant Field Values

    - #### HamClockr

          public static final int HamClockr

      See Also:
        Constant Field Values

    - #### HamClockur

          public static final int HamClockur

      See Also:
        Constant Field Values

    - #### HamClockfull

          public static final int HamClockfull

      See Also:
        Constant Field Values

    - #### HamSymmpar

          public static final int HamSymmpar

      See Also:
        Constant Field Values

    - #### HamSymmlr

          public static final int HamSymmlr

      See Also:
        Constant Field Values

    - #### HamFist

          public static final int HamFist

      See Also:
        Constant Field Values

    - #### HamFlathand

          public static final int HamFlathand

      See Also:
        Constant Field Values

    - #### HamFinger2

          public static final int HamFinger2

      See Also:
        Constant Field Values

    - #### HamFinger23

          public static final int HamFinger23

      See Also:
        Constant Field Values

    - #### HamFinger23spread

          public static final int HamFinger23spread

      See Also:
        Constant Field Values

    - #### HamFinger2345

          public static final int HamFinger2345

      See Also:
        Constant Field Values

    - #### HamThumboutmod

          public static final int HamThumboutmod

      See Also:
        Constant Field Values

    - #### HamThumbacrossmod

          public static final int HamThumbacrossmod

      See Also:
        Constant Field Values

    - #### HamPinch12

          public static final int HamPinch12

      See Also:
        Constant Field Values

    - #### HamPinchall

          public static final int HamPinchall

      See Also:
        Constant Field Values

    - #### HamPinch12open

          public static final int HamPinch12open

      See Also:
        Constant Field Values

    - #### HamCee12

          public static final int HamCee12

      See Also:
        Constant Field Values

    - #### HamCeeall

          public static final int HamCeeall

      See Also:
        Constant Field Values

    - #### HamCee12open

          public static final int HamCee12open

      See Also:
        Constant Field Values

    - #### HamThumbopenmod

          public static final int HamThumbopenmod

      See Also:
        Constant Field Values

    - #### HamFingerstraightmod

          public static final int HamFingerstraightmod

      See Also:
        Constant Field Values

    - #### HamFingerbendmod

          public static final int HamFingerbendmod

      See Also:
        Constant Field Values

    - #### HamFingerhookedmod

          public static final int HamFingerhookedmod

      See Also:
        Constant Field Values

    - #### HamNondominant

          public static final int HamNondominant

      See Also:
        Constant Field Values

    - #### HamDoublebent

          public static final int HamDoublebent

      See Also:
        Constant Field Values

    - #### HamDoublehooked

          public static final int HamDoublehooked

      See Also:
        Constant Field Values

    - #### HamExtfingeru

          public static final int HamExtfingeru

      See Also:
        Constant Field Values

    - #### HamExtfingerur

          public static final int HamExtfingerur

      See Also:
        Constant Field Values

    - #### HamExtfingerr

          public static final int HamExtfingerr

      See Also:
        Constant Field Values

    - #### HamExtfingerdr

          public static final int HamExtfingerdr

      See Also:
        Constant Field Values

    - #### HamExtfingerd

          public static final int HamExtfingerd

      See Also:
        Constant Field Values

    - #### HamExtfingerdl

          public static final int HamExtfingerdl

      See Also:
        Constant Field Values

    - #### HamExtfingerl

          public static final int HamExtfingerl

      See Also:
        Constant Field Values

    - #### HamExtfingerul

          public static final int HamExtfingerul

      See Also:
        Constant Field Values

    - #### HamExtfingerol

          public static final int HamExtfingerol

      See Also:
        Constant Field Values

    - #### HamExtfingero

          public static final int HamExtfingero

      See Also:
        Constant Field Values

    - #### HamExtfingeror

          public static final int HamExtfingeror

      See Also:
        Constant Field Values

    - #### HamExtfingeril

          public static final int HamExtfingeril

      See Also:
        Constant Field Values

    - #### HamExtfingeri

          public static final int HamExtfingeri

      See Also:
        Constant Field Values

    - #### HamExtfingerir

          public static final int HamExtfingerir

      See Also:
        Constant Field Values

    - #### HamExtfingerui

          public static final int HamExtfingerui

      See Also:
        Constant Field Values

    - #### HamExtfingerdi

          public static final int HamExtfingerdi

      See Also:
        Constant Field Values

    - #### HamExtfingerdo

          public static final int HamExtfingerdo

      See Also:
        Constant Field Values

    - #### HamExtfingeruo

          public static final int HamExtfingeruo

      See Also:
        Constant Field Values

    - #### HamEarlobe

          public static final int HamEarlobe

      See Also:
        Constant Field Values

    - #### HamNostrils

          public static final int HamNostrils

      See Also:
        Constant Field Values

    - #### HamShouldertop

          public static final int HamShouldertop

      See Also:
        Constant Field Values

    - #### HamPalmu

          public static final int HamPalmu

      See Also:
        Constant Field Values

    - #### HamPalmur

          public static final int HamPalmur

      See Also:
        Constant Field Values

    - #### HamPalmr

          public static final int HamPalmr

      See Also:
        Constant Field Values

    - #### HamPalmdr

          public static final int HamPalmdr

      See Also:
        Constant Field Values

    - #### HamPalmd

          public static final int HamPalmd

      See Also:
        Constant Field Values

    - #### HamPalmdl

          public static final int HamPalmdl

      See Also:
        Constant Field Values

    - #### HamPalml

          public static final int HamPalml

      See Also:
        Constant Field Values

    - #### HamPalmul

          public static final int HamPalmul

      See Also:
        Constant Field Values

    - #### HamReplace

          public static final int HamReplace

      See Also:
        Constant Field Values

    - #### HamArmextended

          public static final int HamArmextended

      See Also:
        Constant Field Values

    - #### HamBehind

          public static final int HamBehind

      See Also:
        Constant Field Values

    - #### HamEtc

          public static final int HamEtc

      See Also:
        Constant Field Values

    - #### HamOrirelative

          public static final int HamOrirelative

      See Also:
        Constant Field Values

    - #### HamTongue

          public static final int HamTongue

      See Also:
        Constant Field Values

    - #### HamTeeth

          public static final int HamTeeth

      See Also:
        Constant Field Values

    - #### HamStomach

          public static final int HamStomach

      See Also:
        Constant Field Values

    - #### HamNeutralspace

          public static final int HamNeutralspace

      See Also:
        Constant Field Values

    - #### HamHead

          public static final int HamHead

      See Also:
        Constant Field Values

    - #### HamHeadtop

          public static final int HamHeadtop

      See Also:
        Constant Field Values

    - #### HamForehead

          public static final int HamForehead

      See Also:
        Constant Field Values

    - #### HamEyebrows

          public static final int HamEyebrows

      See Also:
        Constant Field Values

    - #### HamEyes

          public static final int HamEyes

      See Also:
        Constant Field Values

    - #### HamNose

          public static final int HamNose

      See Also:
        Constant Field Values

    - #### HamEar

          public static final int HamEar

      See Also:
        Constant Field Values

    - #### HamCheek

          public static final int HamCheek

      See Also:
        Constant Field Values

    - #### HamLips

          public static final int HamLips

      See Also:
        Constant Field Values

    - #### HamChin

          public static final int HamChin

      See Also:
        Constant Field Values

    - #### HamUnderchin

          public static final int HamUnderchin

      See Also:
        Constant Field Values

    - #### HamNeck

          public static final int HamNeck

      See Also:
        Constant Field Values

    - #### HamShoulders

          public static final int HamShoulders

      See Also:
        Constant Field Values

    - #### HamChest

          public static final int HamChest

      See Also:
        Constant Field Values

    - #### HamBelowstomach

          public static final int HamBelowstomach

      See Also:
        Constant Field Values

    - #### HamLrbeside

          public static final int HamLrbeside

      See Also:
        Constant Field Values

    - #### HamLrat

          public static final int HamLrat

      See Also:
        Constant Field Values

    - #### HamUpperarm

          public static final int HamUpperarm

      See Also:
        Constant Field Values

    - #### HamElbow

          public static final int HamElbow

      See Also:
        Constant Field Values

    - #### HamElbowinside

          public static final int HamElbowinside

      See Also:
        Constant Field Values

    - #### HamLowerarm

          public static final int HamLowerarm

      See Also:
        Constant Field Values

    - #### HamWristback

          public static final int HamWristback

      See Also:
        Constant Field Values

    - #### HamWristpulse

          public static final int HamWristpulse

      See Also:
        Constant Field Values

    - #### HamThumbball

          public static final int HamThumbball

      See Also:
        Constant Field Values

    - #### HamPalm

          public static final int HamPalm

      See Also:
        Constant Field Values

    - #### HamHandback

          public static final int HamHandback

      See Also:
        Constant Field Values

    - #### HamThumb

          public static final int HamThumb

      See Also:
        Constant Field Values

    - #### HamIndexfinger

          public static final int HamIndexfinger

      See Also:
        Constant Field Values

    - #### HamMiddlefinger

          public static final int HamMiddlefinger

      See Also:
        Constant Field Values

    - #### HamRingfinger

          public static final int HamRingfinger

      See Also:
        Constant Field Values

    - #### HamPinky

          public static final int HamPinky

      See Also:
        Constant Field Values

    - #### HamThumbside

          public static final int HamThumbside

      See Also:
        Constant Field Values

    - #### HamPinkyside

          public static final int HamPinkyside

      See Also:
        Constant Field Values

    - #### HamBetween

          public static final int HamBetween

      See Also:
        Constant Field Values

    - #### HamFingertip

          public static final int HamFingertip

      See Also:
        Constant Field Values

    - #### HamFingernail

          public static final int HamFingernail

      See Also:
        Constant Field Values

    - #### HamFingerpad

          public static final int HamFingerpad

      See Also:
        Constant Field Values

    - #### HamFingermidjoint

          public static final int HamFingermidjoint

      See Also:
        Constant Field Values

    - #### HamFingerbase

          public static final int HamFingerbase

      See Also:
        Constant Field Values

    - #### HamFingerside

          public static final int HamFingerside

      See Also:
        Constant Field Values

    - #### HamWristtopulse

          public static final int HamWristtopulse

      See Also:
        Constant Field Values

    - #### HamWristtoback

          public static final int HamWristtoback

      See Also:
        Constant Field Values

    - #### HamWristtothumb

          public static final int HamWristtothumb

      See Also:
        Constant Field Values

    - #### HamWristtopinky

          public static final int HamWristtopinky

      See Also:
        Constant Field Values

    - #### HamCoreftag

          public static final int HamCoreftag

      See Also:
        Constant Field Values

    - #### HamCorefref

          public static final int HamCorefref

      See Also:
        Constant Field Values

    - #### HamNomotion

          public static final int HamNomotion

      See Also:
        Constant Field Values

    - #### HamMoveu

          public static final int HamMoveu

      See Also:
        Constant Field Values

    - #### HamMoveur

          public static final int HamMoveur

      See Also:
        Constant Field Values

    - #### HamMover

          public static final int HamMover

      See Also:
        Constant Field Values

    - #### HamMovedr

          public static final int HamMovedr

      See Also:
        Constant Field Values

    - #### HamMoved

          public static final int HamMoved

      See Also:
        Constant Field Values

    - #### HamMovedl

          public static final int HamMovedl

      See Also:
        Constant Field Values

    - #### HamMovel

          public static final int HamMovel

      See Also:
        Constant Field Values

    - #### HamMoveul

          public static final int HamMoveul

      See Also:
        Constant Field Values

    - #### HamMoveol

          public static final int HamMoveol

      See Also:
        Constant Field Values

    - #### HamMoveo

          public static final int HamMoveo

      See Also:
        Constant Field Values

    - #### HamMoveor

          public static final int HamMoveor

      See Also:
        Constant Field Values

    - #### HamMoveil

          public static final int HamMoveil

      See Also:
        Constant Field Values

    - #### HamMovei

          public static final int HamMovei

      See Also:
        Constant Field Values

    - #### HamMoveir

          public static final int HamMoveir

      See Also:
        Constant Field Values

    - #### HamMoveui

          public static final int HamMoveui

      See Also:
        Constant Field Values

    - #### HamMovedi

          public static final int HamMovedi

      See Also:
        Constant Field Values

    - #### HamMovedo

          public static final int HamMovedo

      See Also:
        Constant Field Values

    - #### HamMoveuo

          public static final int HamMoveuo

      See Also:
        Constant Field Values

    - #### HamMovecross

          public static final int HamMovecross

      See Also:
        Constant Field Values

    - #### HamMovex

          public static final int HamMovex

      See Also:
        Constant Field Values

    - #### HamSmallmod

          public static final int HamSmallmod

      See Also:
        Constant Field Values

    - #### HamLargemod

          public static final int HamLargemod

      See Also:
        Constant Field Values

    - #### HamArcl

          public static final int HamArcl

      See Also:
        Constant Field Values

    - #### HamArcu

          public static final int HamArcu

      See Also:
        Constant Field Values

    - #### HamArcr

          public static final int HamArcr

      See Also:
        Constant Field Values

    - #### HamArcd

          public static final int HamArcd

      See Also:
        Constant Field Values

    - #### HamWavy

          public static final int HamWavy

      See Also:
        Constant Field Values

    - #### HamZigzag

          public static final int HamZigzag

      See Also:
        Constant Field Values

    - #### HamFingerplay

          public static final int HamFingerplay

      See Also:
        Constant Field Values

    - #### HamParbegin

          public static final int HamParbegin

      See Also:
        Constant Field Values

    - #### HamParend

          public static final int HamParend

      See Also:
        Constant Field Values

    - #### HamCircleo

          public static final int HamCircleo

      See Also:
        Constant Field Values

    - #### HamCirclei

          public static final int HamCirclei

      See Also:
        Constant Field Values

    - #### HamCircled

          public static final int HamCircled

      See Also:
        Constant Field Values

    - #### HamCircleu

          public static final int HamCircleu

      See Also:
        Constant Field Values

    - #### HamCirclel

          public static final int HamCirclel

      See Also:
        Constant Field Values

    - #### HamCircler

          public static final int HamCircler

      See Also:
        Constant Field Values

    - #### HamIncreasing

          public static final int HamIncreasing

      See Also:
        Constant Field Values

    - #### HamDecreasing

          public static final int HamDecreasing

      See Also:
        Constant Field Values

    - #### HamClose

          public static final int HamClose

      See Also:
        Constant Field Values

    - #### HamTouch

          public static final int HamTouch

      See Also:
        Constant Field Values

    - #### HamInterlock

          public static final int HamInterlock

      See Also:
        Constant Field Values

    - #### HamCross

          public static final int HamCross

      See Also:
        Constant Field Values

    - #### HamFast

          public static final int HamFast

      See Also:
        Constant Field Values

    - #### HamSlow

          public static final int HamSlow

      See Also:
        Constant Field Values

    - #### HamTense

          public static final int HamTense

      See Also:
        Constant Field Values

    - #### HamRest

          public static final int HamRest

      See Also:
        Constant Field Values

    - #### HamHalt

          public static final int HamHalt

      See Also:
        Constant Field Values

    - #### HamRepeatfromstart

          public static final int HamRepeatfromstart

      See Also:
        Constant Field Values

    - #### HamRepeatfromstartseveral

          public static final int HamRepeatfromstartseveral

      See Also:
        Constant Field Values

    - #### HamRepeatcontinue

          public static final int HamRepeatcontinue

      See Also:
        Constant Field Values

    - #### HamRepeatcontinueseveral

          public static final int HamRepeatcontinueseveral

      See Also:
        Constant Field Values

    - #### HamSeqbegin

          public static final int HamSeqbegin

      See Also:
        Constant Field Values

    - #### HamSeqend

          public static final int HamSeqend

      See Also:
        Constant Field Values

    - #### HamAlternatingmotion

          public static final int HamAlternatingmotion

      See Also:
        Constant Field Values

    - #### HamRepeatreverse

          public static final int HamRepeatreverse

      See Also:
        Constant Field Values

    - #### HamBrushing

          public static final int HamBrushing

      See Also:
        Constant Field Values

    - #### HamNonipsi

          public static final int HamNonipsi

      See Also:
        Constant Field Values

    - #### HamEllipseh

          public static final int HamEllipseh

      See Also:
        Constant Field Values

    - #### HamEllipseur

          public static final int HamEllipseur

      See Also:
        Constant Field Values

    - #### HamEllipsev

          public static final int HamEllipsev

      See Also:
        Constant Field Values

    - #### HamEllipseul

          public static final int HamEllipseul

      See Also:
        Constant Field Values

    - #### HamMime

          public static final int HamMime

      See Also:
        Constant Field Values

    - #### HamAltbegin

          public static final int HamAltbegin

      See Also:
        Constant Field Values

    - #### HamAltend

          public static final int HamAltend

      See Also:
        Constant Field Values

    - #### HamNodding

          public static final int HamNodding

      See Also:
        Constant Field Values

    - #### HamSwinging

          public static final int HamSwinging

      See Also:
        Constant Field Values

    - #### HamTwisting

          public static final int HamTwisting

      See Also:
        Constant Field Values

    - #### HamStircw

          public static final int HamStircw

      See Also:
        Constant Field Values

    - #### HamStirccw

          public static final int HamStirccw

      See Also:
        Constant Field Values

    - #### HamFusionbegin

          public static final int HamFusionbegin

      See Also:
        Constant Field Values

    - #### HamFusionend

          public static final int HamFusionend

      See Also:
        Constant Field Values

    - #### HamCircleul

          public static final int HamCircleul

      See Also:
        Constant Field Values

    - #### HamCircledr

          public static final int HamCircledr

      See Also:
        Constant Field Values

    - #### HamCircleur

          public static final int HamCircleur

      See Also:
        Constant Field Values

    - #### HamCircledl

          public static final int HamCircledl

      See Also:
        Constant Field Values

    - #### HamCircleol

          public static final int HamCircleol

      See Also:
        Constant Field Values

    - #### HamCircleir

          public static final int HamCircleir

      See Also:
        Constant Field Values

    - #### HamCircleor

          public static final int HamCircleor

      See Also:
        Constant Field Values

    - #### HamCircleil

          public static final int HamCircleil

      See Also:
        Constant Field Values

    - #### HamCircledo

          public static final int HamCircledo

      See Also:
        Constant Field Values

    - #### HamCircleui

          public static final int HamCircleui

      See Also:
        Constant Field Values

    - #### HamCircledi

          public static final int HamCircledi

      See Also:
        Constant Field Values

    - #### HamCircleuo

          public static final int HamCircleuo

      See Also:
        Constant Field Values

    - #### HamNbs

          public static final int HamNbs

      See Also:
        Constant Field Values

    - #### HAMSIGNS

          public static final int HAMSIGNS

      See Also:
        Constant Field Values

    - #### SIGN2

          public static final int SIGN2

      See Also:
        Constant Field Values

    - #### SIGN1

          public static final int SIGN1

      See Also:
        Constant Field Values

    - #### ICFG2

          public static final int ICFG2

      See Also:
        Constant Field Values

    - #### ICFG1

          public static final int ICFG1

      See Also:
        Constant Field Values

    - #### NMICLIST

          public static final int NMICLIST

      See Also:
        Constant Field Values

    - #### NMICUNIT

          public static final int NMICUNIT

      See Also:
        Constant Field Values

    - #### MICFG2

          public static final int MICFG2

      See Also:
        Constant Field Values

    - #### MICFG1

          public static final int MICFG1

      See Also:
        Constant Field Values

    - #### HDCONFIG2

          public static final int HDCONFIG2

      See Also:
        Constant Field Values

    - #### HDCONFIG1

          public static final int HDCONFIG1

      See Also:
        Constant Field Values

    - #### SPLITHDCFG2

          public static final int SPLITHDCFG2

      See Also:
        Constant Field Values

    - #### HDCFGTAIL2

          public static final int HDCFGTAIL2

      See Also:
        Constant Field Values

    - #### HSHAPE2

          public static final int HSHAPE2

      See Also:
        Constant Field Values

    - #### HSHAPE1

          public static final int HSHAPE1

      See Also:
        Constant Field Values

    - #### BASICHDSHP1

          public static final int BASICHDSHP1

      See Also:
        Constant Field Values

    - #### BASICHDSHP

          public static final int BASICHDSHP

      See Also:
        Constant Field Values

    - #### HSCLASS

          public static final int HSCLASS

      See Also:
        Constant Field Values

    - #### FIBENDING

          public static final int FIBENDING

      See Also:
        Constant Field Values

    - #### THUMBPOS

          public static final int THUMBPOS

      See Also:
        Constant Field Values

    - #### FINGERLIST

          public static final int FINGERLIST

      See Also:
        Constant Field Values

    - #### FISHPLIST

          public static final int FISHPLIST

      See Also:
        Constant Field Values

    - #### FICRSSLIST

          public static final int FICRSSLIST

      See Also:
        Constant Field Values

    - #### FSHAPE

          public static final int FSHAPE

      See Also:
        Constant Field Values

    - #### FCROSSING

          public static final int FCROSSING

      See Also:
        Constant Field Values

    - #### THSPECIAL

          public static final int THSPECIAL

      See Also:
        Constant Field Values

    - #### EXTFIDIR2

          public static final int EXTFIDIR2

      See Also:
        Constant Field Values

    - #### EXTFIDIR1

          public static final int EXTFIDIR1

      See Also:
        Constant Field Values

    - #### EXTFIDIR

          public static final int EXTFIDIR

      See Also:
        Constant Field Values

    - #### PALMOR2

          public static final int PALMOR2

      See Also:
        Constant Field Values

    - #### PALMOR1

          public static final int PALMOR1

      See Also:
        Constant Field Values

    - #### LOC2

          public static final int LOC2

      See Also:
        Constant Field Values

    - #### LOC1

          public static final int LOC1

      See Also:
        Constant Field Values

    - #### LOCTNBODYARM

          public static final int LOCTNBODYARM

      See Also:
        Constant Field Values

    - #### LOCTNBODY

          public static final int LOCTNBODY

      See Also:
        Constant Field Values

    - #### LOCTNHAND

          public static final int LOCTNHAND

      See Also:
        Constant Field Values

    - #### LOCTNARM

          public static final int LOCTNARM

      See Also:
        Constant Field Values

    - #### LEVBODY

          public static final int LEVBODY

      See Also:
        Constant Field Values

    - #### LEVHAND

          public static final int LEVHAND

      See Also:
        Constant Field Values

    - #### LEVARM

          public static final int LEVARM

      See Also:
        Constant Field Values

    - #### HCONSTLLN

          public static final int HCONSTLLN

      See Also:
        Constant Field Values

    - #### CNTCTBODY

          public static final int CNTCTBODY

      See Also:
        Constant Field Values

    - #### CNTCTHAND

          public static final int CNTCTHAND

      See Also:
        Constant Field Values

    - #### CNTCTOFHAND

          public static final int CNTCTOFHAND

      See Also:
        Constant Field Values

    - #### A2TLIST

          public static final int A2TLIST

      See Also:
        Constant Field Values

    - #### A1TLIST

          public static final int A1TLIST

      See Also:
        Constant Field Values

    - #### A1LIST

          public static final int A1LIST

      See Also:
        Constant Field Values

    - #### ACTION2T

          public static final int ACTION2T

      See Also:
        Constant Field Values

    - #### ACTION1T

          public static final int ACTION1T

      See Also:
        Constant Field Values

    - #### ACTION2

          public static final int ACTION2

      See Also:
        Constant Field Values

    - #### ACTION1

          public static final int ACTION1

      See Also:
        Constant Field Values

    - #### PARACT2T

          public static final int PARACT2T

      See Also:
        Constant Field Values

    - #### SEQACT2T

          public static final int SEQACT2T

      See Also:
        Constant Field Values

    - #### SPLITACT2LOC2

          public static final int SPLITACT2LOC2

      See Also:
        Constant Field Values

    - #### SPLITACT2T

          public static final int SPLITACT2T

      See Also:
        Constant Field Values

    - #### PARACT1T

          public static final int PARACT1T

      See Also:
        Constant Field Values

    - #### SEQACT1T

          public static final int SEQACT1T

      See Also:
        Constant Field Values

    - #### NMACT1T

          public static final int NMACT1T

      See Also:
        Constant Field Values

    - #### PARACT1

          public static final int PARACT1

      See Also:
        Constant Field Values

    - #### REPETITIONS

          public static final int REPETITIONS

      See Also:
        Constant Field Values

    - #### SIMPLEMVMT

          public static final int SIMPLEMVMT

      See Also:
        Constant Field Values

    - #### STRGHTMVMT

          public static final int STRGHTMVMT

      See Also:
        Constant Field Values

    - #### CRCLRMVMT

          public static final int CRCLRMVMT

      See Also:
        Constant Field Values

    - #### REPLACE

          public static final int REPLACE

      See Also:
        Constant Field Values

    - #### SPLITREPLACETL

          public static final int SPLITREPLACETL

      See Also:
        Constant Field Values

    - #### REPLACETAIL1

          public static final int REPLACETAIL1

      See Also:
        Constant Field Values

    - #### HSFINGERITEM

          public static final int HSFINGERITEM

      See Also:
        Constant Field Values

    - #### LOCBODY

          public static final int LOCBODY

      See Also:
        Constant Field Values

    - #### MOVINGREPETITION

          public static final int MOVINGREPETITION

      See Also:
        Constant Field Values

    - #### SEQACT1

          public static final int SEQACT1

      See Also:
        Constant Field Values

    - #### SEQFUSEDACT2T

          public static final int SEQFUSEDACT2T

      See Also:
        Constant Field Values

    - #### SEQFUSEDACT1T

          public static final int SEQFUSEDACT1T

      See Also:
        Constant Field Values

    - #### SEQFUSEDACT1

          public static final int SEQFUSEDACT1

      See Also:
        Constant Field Values

    - #### CNTCTOHHAND

          public static final int CNTCTOHHAND

      See Also:
        Constant Field Values

    - #### CNTCTOHARM

          public static final int CNTCTOHARM

      See Also:
        Constant Field Values

    - #### FOLLOW_hamsignseq_in_hamsinglesign727

          public static final org.antlr.runtime.BitSet FOLLOW_hamsignseq_in_hamsinglesign727

    - #### FOLLOW_EOF_in_hamsinglesign737

          public static final org.antlr.runtime.BitSet FOLLOW_EOF_in_hamsinglesign737

    - #### FOLLOW_sign2or1_in_hamsignseq805

          public static final org.antlr.runtime.BitSet FOLLOW_sign2or1_in_hamsignseq805

    - #### FOLLOW_HamPlus_in_hamsignseq837

          public static final org.antlr.runtime.BitSet FOLLOW_HamPlus_in_hamsignseq837

    - #### FOLLOW_sign2or1_in_hamsignseq857

          public static final org.antlr.runtime.BitSet FOLLOW_sign2or1_in_hamsignseq857

    - #### FOLLOW_nondomsign1_in_sign2or1944

          public static final org.antlr.runtime.BitSet FOLLOW_nondomsign1_in_sign2or1944

    - #### FOLLOW_sign2_in_sign2or1960

          public static final org.antlr.runtime.BitSet FOLLOW_sign2_in_sign2or1960

    - #### FOLLOW_symmoperator_in_sign21001

          public static final org.antlr.runtime.BitSet FOLLOW_symmoperator_in_sign21001

    - #### FOLLOW_initialconfig2_in_sign21011

          public static final org.antlr.runtime.BitSet FOLLOW_initialconfig2_in_sign21011

    - #### FOLLOW_a2tstar_in_sign21021

          public static final org.antlr.runtime.BitSet FOLLOW_a2tstar_in_sign21021

    - #### FOLLOW_initialconfig2_in_sign21054

          public static final org.antlr.runtime.BitSet FOLLOW_initialconfig2_in_sign21054

    - #### FOLLOW_a1tstar_in_sign21064

          public static final org.antlr.runtime.BitSet FOLLOW_a1tstar_in_sign21064

    - #### FOLLOW_HamNomotion_in_sign21130

          public static final org.antlr.runtime.BitSet FOLLOW_HamNomotion_in_sign21130

    - #### FOLLOW_HamNondominant_in_sign21140

          public static final org.antlr.runtime.BitSet FOLLOW_HamNondominant_in_sign21140

    - #### FOLLOW_initialconfig1_in_sign21150

          public static final org.antlr.runtime.BitSet FOLLOW_initialconfig1_in_sign21150

    - #### FOLLOW_a1tstar_in_sign21160

          public static final org.antlr.runtime.BitSet FOLLOW_a1tstar_in_sign21160

    - #### FOLLOW_HamNomotion_in_sign21195

          public static final org.antlr.runtime.BitSet FOLLOW_HamNomotion_in_sign21195

    - #### FOLLOW_initialconfig1_in_sign21205

          public static final org.antlr.runtime.BitSet FOLLOW_initialconfig1_in_sign21205

    - #### FOLLOW_a1tstar_in_sign21215

          public static final org.antlr.runtime.BitSet FOLLOW_a1tstar_in_sign21215

    - #### FOLLOW_HamNondominant_in_nondomsign11267

          public static final org.antlr.runtime.BitSet FOLLOW_HamNondominant_in_nondomsign11267

    - #### FOLLOW_initialconfig1_in_nondomsign11277

          public static final org.antlr.runtime.BitSet FOLLOW_initialconfig1_in_nondomsign11277

    - #### FOLLOW_a1tstar_in_nondomsign11287

          public static final org.antlr.runtime.BitSet FOLLOW_a1tstar_in_nondomsign11287

    - #### FOLLOW_set_in_symmoperator1345

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_symmoperator1345

    - #### FOLLOW_HamFingerstraightmod_in_symmoperator1417

          public static final org.antlr.runtime.BitSet FOLLOW_HamFingerstraightmod_in_symmoperator1417

    - #### FOLLOW_HamLargemod_in_symmoperator1433

          public static final org.antlr.runtime.BitSet FOLLOW_HamLargemod_in_symmoperator1433

    - #### FOLLOW_HamLargemod_in_symmoperator1460

          public static final org.antlr.runtime.BitSet FOLLOW_HamLargemod_in_symmoperator1460

    - #### FOLLOW_HamFingerstraightmod_in_symmoperator1476

          public static final org.antlr.runtime.BitSet FOLLOW_HamFingerstraightmod_in_symmoperator1476

    - #### FOLLOW_HamAlternatingmotion_in_symmoperator1502

          public static final org.antlr.runtime.BitSet FOLLOW_HamAlternatingmotion_in_symmoperator1502

    - #### FOLLOW_HamNonipsi_in_symmoperator1517

          public static final org.antlr.runtime.BitSet FOLLOW_HamNonipsi_in_symmoperator1517

    - #### FOLLOW_nminitialconfig_in_initialconfig21554

          public static final org.antlr.runtime.BitSet FOLLOW_nminitialconfig_in_initialconfig21554

    - #### FOLLOW_minitialconfig2_in_initialconfig21567

          public static final org.antlr.runtime.BitSet FOLLOW_minitialconfig2_in_initialconfig21567

    - #### FOLLOW_nminitialconfig_in_initialconfig11626

          public static final org.antlr.runtime.BitSet FOLLOW_nminitialconfig_in_initialconfig11626

    - #### FOLLOW_minitialconfig1_in_initialconfig11639

          public static final org.antlr.runtime.BitSet FOLLOW_minitialconfig1_in_initialconfig11639

    - #### FOLLOW_nmicunit_in_nminitialconfig1710

          public static final org.antlr.runtime.BitSet FOLLOW_nmicunit_in_nminitialconfig1710

    - #### FOLLOW_HamSeqbegin_in_nmicunit1773

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqbegin_in_nmicunit1773

    - #### FOLLOW_levelbody_in_nmicunit1804

          public static final org.antlr.runtime.BitSet FOLLOW_levelbody_in_nmicunit1804

    - #### FOLLOW_levelarm_in_nmicunit1826

          public static final org.antlr.runtime.BitSet FOLLOW_levelarm_in_nmicunit1826

    - #### FOLLOW_action1_in_nmicunit1846

          public static final org.antlr.runtime.BitSet FOLLOW_action1_in_nmicunit1846

    - #### FOLLOW_HamSeqend_in_nmicunit1856

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqend_in_nmicunit1856

    - #### FOLLOW_handconfig2_in_minitialconfig21957

          public static final org.antlr.runtime.BitSet FOLLOW_handconfig2_in_minitialconfig21957

    - #### FOLLOW_location2_in_minitialconfig22013

          public static final org.antlr.runtime.BitSet FOLLOW_location2_in_minitialconfig22013

    - #### FOLLOW_HamParbegin_in_minitialconfig22056

          public static final org.antlr.runtime.BitSet FOLLOW_HamParbegin_in_minitialconfig22056

    - #### FOLLOW_handconfig1_in_minitialconfig22067

          public static final org.antlr.runtime.BitSet FOLLOW_handconfig1_in_minitialconfig22067

    - #### FOLLOW_HamPlus_in_minitialconfig22123

          public static final org.antlr.runtime.BitSet FOLLOW_HamPlus_in_minitialconfig22123

    - #### FOLLOW_location1_in_minitialconfig22138

          public static final org.antlr.runtime.BitSet FOLLOW_location1_in_minitialconfig22138

    - #### FOLLOW_HamParend_in_minitialconfig22152

          public static final org.antlr.runtime.BitSet FOLLOW_HamParend_in_minitialconfig22152

    - #### FOLLOW_location1_in_minitialconfig22196

          public static final org.antlr.runtime.BitSet FOLLOW_location1_in_minitialconfig22196

    - #### FOLLOW_HamPlus_in_minitialconfig22210

          public static final org.antlr.runtime.BitSet FOLLOW_HamPlus_in_minitialconfig22210

    - #### FOLLOW_location1_in_minitialconfig22229

          public static final org.antlr.runtime.BitSet FOLLOW_location1_in_minitialconfig22229

    - #### FOLLOW_HamParend_in_minitialconfig22246

          public static final org.antlr.runtime.BitSet FOLLOW_HamParend_in_minitialconfig22246

    - #### FOLLOW_handconfig1_in_minitialconfig12320

          public static final org.antlr.runtime.BitSet FOLLOW_handconfig1_in_minitialconfig12320

    - #### FOLLOW_location1_in_minitialconfig12332

          public static final org.antlr.runtime.BitSet FOLLOW_location1_in_minitialconfig12332

    - #### FOLLOW_handshape2_in_handconfig22437

          public static final org.antlr.runtime.BitSet FOLLOW_handshape2_in_handconfig22437

    - #### FOLLOW_handconfigtail2_in_handconfig22447

          public static final org.antlr.runtime.BitSet FOLLOW_handconfigtail2_in_handconfig22447

    - #### FOLLOW_handshape2_in_handconfig22502

          public static final org.antlr.runtime.BitSet FOLLOW_handshape2_in_handconfig22502

    - #### FOLLOW_splithandconfig2_in_handconfig22531

          public static final org.antlr.runtime.BitSet FOLLOW_splithandconfig2_in_handconfig22531

    - #### FOLLOW_handshape1_in_handconfig12580

          public static final org.antlr.runtime.BitSet FOLLOW_handshape1_in_handconfig12580

    - #### FOLLOW_extfidir1_in_handconfig12604

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir1_in_handconfig12604

    - #### FOLLOW_palmor1_in_handconfig12618

          public static final org.antlr.runtime.BitSet FOLLOW_palmor1_in_handconfig12618

    - #### FOLLOW_HamParbegin_in_splithandconfig22688

          public static final org.antlr.runtime.BitSet FOLLOW_HamParbegin_in_splithandconfig22688

    - #### FOLLOW_handconfig1_in_splithandconfig22699

          public static final org.antlr.runtime.BitSet FOLLOW_handconfig1_in_splithandconfig22699

    - #### FOLLOW_HamPlus_in_splithandconfig22709

          public static final org.antlr.runtime.BitSet FOLLOW_HamPlus_in_splithandconfig22709

    - #### FOLLOW_handconfig1_in_splithandconfig22720

          public static final org.antlr.runtime.BitSet FOLLOW_handconfig1_in_splithandconfig22720

    - #### FOLLOW_HamParend_in_splithandconfig22730

          public static final org.antlr.runtime.BitSet FOLLOW_HamParend_in_splithandconfig22730

    - #### FOLLOW_extfidir2_in_handconfigtail22819

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir2_in_handconfigtail22819

    - #### FOLLOW_palmor2_in_handconfigtail22829

          public static final org.antlr.runtime.BitSet FOLLOW_palmor2_in_handconfigtail22829

    - #### FOLLOW_HamParbegin_in_handconfigtail22859

          public static final org.antlr.runtime.BitSet FOLLOW_HamParbegin_in_handconfigtail22859

    - #### FOLLOW_extfidir1_in_handconfigtail22872

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir1_in_handconfigtail22872

    - #### FOLLOW_palmor1_in_handconfigtail22884

          public static final org.antlr.runtime.BitSet FOLLOW_palmor1_in_handconfigtail22884

    - #### FOLLOW_HamPlus_in_handconfigtail22894

          public static final org.antlr.runtime.BitSet FOLLOW_HamPlus_in_handconfigtail22894

    - #### FOLLOW_extfidir1_in_handconfigtail22907

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir1_in_handconfigtail22907

    - #### FOLLOW_palmor1_in_handconfigtail22919

          public static final org.antlr.runtime.BitSet FOLLOW_palmor1_in_handconfigtail22919

    - #### FOLLOW_HamParend_in_handconfigtail22929

          public static final org.antlr.runtime.BitSet FOLLOW_HamParend_in_handconfigtail22929

    - #### FOLLOW_handshape1_in_handshape23002

          public static final org.antlr.runtime.BitSet FOLLOW_handshape1_in_handshape23002

    - #### FOLLOW_HamParbegin_in_handshape23031

          public static final org.antlr.runtime.BitSet FOLLOW_HamParbegin_in_handshape23031

    - #### FOLLOW_handshape1_in_handshape23046

          public static final org.antlr.runtime.BitSet FOLLOW_handshape1_in_handshape23046

    - #### FOLLOW_HamPlus_in_handshape23056

          public static final org.antlr.runtime.BitSet FOLLOW_HamPlus_in_handshape23056

    - #### FOLLOW_handshape1_in_handshape23071

          public static final org.antlr.runtime.BitSet FOLLOW_handshape1_in_handshape23071

    - #### FOLLOW_HamParend_in_handshape23081

          public static final org.antlr.runtime.BitSet FOLLOW_HamParend_in_handshape23081

    - #### FOLLOW_basichandshape1_in_handshape13132

          public static final org.antlr.runtime.BitSet FOLLOW_basichandshape1_in_handshape13132

    - #### FOLLOW_cautiousfingerlist_in_handshape13197

          public static final org.antlr.runtime.BitSet FOLLOW_cautiousfingerlist_in_handshape13197

    - #### FOLLOW_fingershapelist_in_handshape13211

          public static final org.antlr.runtime.BitSet FOLLOW_fingershapelist_in_handshape13211

    - #### FOLLOW_fingercrossinglist_in_handshape13225

          public static final org.antlr.runtime.BitSet FOLLOW_fingercrossinglist_in_handshape13225

    - #### FOLLOW_thumbbetweenexplicit_in_handshape13239

          public static final org.antlr.runtime.BitSet FOLLOW_thumbbetweenexplicit_in_handshape13239

    - #### FOLLOW_cautiousfingerlist_in_handshape13317

          public static final org.antlr.runtime.BitSet FOLLOW_cautiousfingerlist_in_handshape13317

    - #### FOLLOW_fingershapelist_in_handshape13331

          public static final org.antlr.runtime.BitSet FOLLOW_fingershapelist_in_handshape13331

    - #### FOLLOW_fingercrossinglist_in_handshape13345

          public static final org.antlr.runtime.BitSet FOLLOW_fingercrossinglist_in_handshape13345

    - #### FOLLOW_thumbspecial_in_handshape13369

          public static final org.antlr.runtime.BitSet FOLLOW_thumbspecial_in_handshape13369

    - #### FOLLOW_fingerlist_in_handshape13450

          public static final org.antlr.runtime.BitSet FOLLOW_fingerlist_in_handshape13450

    - #### FOLLOW_fingershapelist_in_handshape13464

          public static final org.antlr.runtime.BitSet FOLLOW_fingershapelist_in_handshape13464

    - #### FOLLOW_fingercrossinglist_in_handshape13478

          public static final org.antlr.runtime.BitSet FOLLOW_fingercrossinglist_in_handshape13478

    - #### FOLLOW_thumbbetweendefault_in_handshape13494

          public static final org.antlr.runtime.BitSet FOLLOW_thumbbetweendefault_in_handshape13494

    - #### FOLLOW_thumbextra_in_handshape13498

          public static final org.antlr.runtime.BitSet FOLLOW_thumbextra_in_handshape13498

    - #### FOLLOW_fingerlist_in_handshape13531

          public static final org.antlr.runtime.BitSet FOLLOW_fingerlist_in_handshape13531

    - #### FOLLOW_fingershapelist_in_handshape13545

          public static final org.antlr.runtime.BitSet FOLLOW_fingershapelist_in_handshape13545

    - #### FOLLOW_fingercrossinglist_in_handshape13559

          public static final org.antlr.runtime.BitSet FOLLOW_fingercrossinglist_in_handshape13559

    - #### FOLLOW_basichandshape_in_basichandshape13646

          public static final org.antlr.runtime.BitSet FOLLOW_basichandshape_in_basichandshape13646

    - #### FOLLOW_HamBetween_in_basichandshape13711

          public static final org.antlr.runtime.BitSet FOLLOW_HamBetween_in_basichandshape13711

    - #### FOLLOW_basichandshape_in_basichandshape13726

          public static final org.antlr.runtime.BitSet FOLLOW_basichandshape_in_basichandshape13726

    - #### FOLLOW_handshapeclass_in_basichandshape3794

          public static final org.antlr.runtime.BitSet FOLLOW_handshapeclass_in_basichandshape3794

    - #### FOLLOW_HamNondominant_in_basichandshape3818

          public static final org.antlr.runtime.BitSet FOLLOW_HamNondominant_in_basichandshape3818

    - #### FOLLOW_HamEtc_in_basichandshape3840

          public static final org.antlr.runtime.BitSet FOLLOW_HamEtc_in_basichandshape3840

    - #### FOLLOW_handbendandthumb_in_basichandshape3853

          public static final org.antlr.runtime.BitSet FOLLOW_handbendandthumb_in_basichandshape3853

    - #### FOLLOW_thumbpos_in_handbendandthumb3924

          public static final org.antlr.runtime.BitSet FOLLOW_thumbpos_in_handbendandthumb3924

    - #### FOLLOW_fingerbending_in_handbendandthumb3936

          public static final org.antlr.runtime.BitSet FOLLOW_fingerbending_in_handbendandthumb3936

    - #### FOLLOW_fingerbending_in_handbendandthumb3955

          public static final org.antlr.runtime.BitSet FOLLOW_fingerbending_in_handbendandthumb3955

    - #### FOLLOW_thumbpos_in_handbendandthumb3967

          public static final org.antlr.runtime.BitSet FOLLOW_thumbpos_in_handbendandthumb3967

    - #### FOLLOW_recfingerlist_in_fingerlist3999

          public static final org.antlr.runtime.BitSet FOLLOW_recfingerlist_in_fingerlist3999

    - #### FOLLOW_hsfingeritem_in_recfingerlist4108

          public static final org.antlr.runtime.BitSet FOLLOW_hsfingeritem_in_recfingerlist4108

    - #### FOLLOW_recfingerlist_in_recfingerlist4122

          public static final org.antlr.runtime.BitSet FOLLOW_recfingerlist_in_recfingerlist4122

    - #### FOLLOW_reccautiousfingerlist_in_cautiousfingerlist4162

          public static final org.antlr.runtime.BitSet FOLLOW_reccautiousfingerlist_in_cautiousfingerlist4162

    - #### FOLLOW_hsfingeritem_in_reccautiousfingerlist4265

          public static final org.antlr.runtime.BitSet FOLLOW_hsfingeritem_in_reccautiousfingerlist4265

    - #### FOLLOW_reccautiousfingerlist_in_reccautiousfingerlist4279

          public static final org.antlr.runtime.BitSet FOLLOW_reccautiousfingerlist_in_reccautiousfingerlist4279

    - #### FOLLOW_recfingershapelist_in_fingershapelist4319

          public static final org.antlr.runtime.BitSet FOLLOW_recfingershapelist_in_fingershapelist4319

    - #### FOLLOW_fingershape_in_recfingershapelist4423

          public static final org.antlr.runtime.BitSet FOLLOW_fingershape_in_recfingershapelist4423

    - #### FOLLOW_recfingershapelist_in_recfingershapelist4437

          public static final org.antlr.runtime.BitSet FOLLOW_recfingershapelist_in_recfingershapelist4437

    - #### FOLLOW_recfingercrossinglist_in_fingercrossinglist4477

          public static final org.antlr.runtime.BitSet FOLLOW_recfingercrossinglist_in_fingercrossinglist4477

    - #### FOLLOW_fingercrossing_in_recfingercrossinglist4578

          public static final org.antlr.runtime.BitSet FOLLOW_fingercrossing_in_recfingercrossinglist4578

    - #### FOLLOW_recfingercrossinglist_in_recfingercrossinglist4592

          public static final org.antlr.runtime.BitSet FOLLOW_recfingercrossinglist_in_recfingercrossinglist4592

    - #### FOLLOW_finger_in_hsfingeritem4648

          public static final org.antlr.runtime.BitSet FOLLOW_finger_in_hsfingeritem4648

    - #### FOLLOW_HamLargemod_in_hsfingeritem4660

          public static final org.antlr.runtime.BitSet FOLLOW_HamLargemod_in_hsfingeritem4660

    - #### FOLLOW_thumb_in_digit4720

          public static final org.antlr.runtime.BitSet FOLLOW_thumb_in_digit4720

    - #### FOLLOW_finger_in_digit4730

          public static final org.antlr.runtime.BitSet FOLLOW_finger_in_digit4730

    - #### FOLLOW_thumb_in_hsdigit4780

          public static final org.antlr.runtime.BitSet FOLLOW_thumb_in_hsdigit4780

    - #### FOLLOW_hsfingeritem_in_hsdigit4790

          public static final org.antlr.runtime.BitSet FOLLOW_hsfingeritem_in_hsdigit4790

    - #### FOLLOW_digit_in_fingershape4819

          public static final org.antlr.runtime.BitSet FOLLOW_digit_in_fingershape4819

    - #### FOLLOW_fingerbending_in_fingershape4829

          public static final org.antlr.runtime.BitSet FOLLOW_fingerbending_in_fingershape4829

    - #### FOLLOW_digit_in_fingercrossing4889

          public static final org.antlr.runtime.BitSet FOLLOW_digit_in_fingercrossing4889

    - #### FOLLOW_fingerpart_in_fingercrossing4899

          public static final org.antlr.runtime.BitSet FOLLOW_fingerpart_in_fingercrossing4899

    - #### FOLLOW_digit_in_fingercrossing4913

          public static final org.antlr.runtime.BitSet FOLLOW_digit_in_fingercrossing4913

    - #### FOLLOW_thumbbetween_in_thumbspecial4973

          public static final org.antlr.runtime.BitSet FOLLOW_thumbbetween_in_thumbspecial4973

    - #### FOLLOW_thumbextra_in_thumbspecial4983

          public static final org.antlr.runtime.BitSet FOLLOW_thumbextra_in_thumbspecial4983

    - #### FOLLOW_thumbbetweenexplicit_in_thumbbetween5012

          public static final org.antlr.runtime.BitSet FOLLOW_thumbbetweenexplicit_in_thumbbetween5012

    - #### FOLLOW_thumbbetweendefault_in_thumbbetween5022

          public static final org.antlr.runtime.BitSet FOLLOW_thumbbetweendefault_in_thumbbetween5022

    - #### FOLLOW_finger_in_thumbbetweenexplicit5051

          public static final org.antlr.runtime.BitSet FOLLOW_finger_in_thumbbetweenexplicit5051

    - #### FOLLOW_HamBetween_in_thumbbetweenexplicit5061

          public static final org.antlr.runtime.BitSet FOLLOW_HamBetween_in_thumbbetweenexplicit5061

    - #### FOLLOW_finger_in_thumbbetweenexplicit5072

          public static final org.antlr.runtime.BitSet FOLLOW_finger_in_thumbbetweenexplicit5072

    - #### FOLLOW_HamBetween_in_thumbbetweendefault5131

          public static final org.antlr.runtime.BitSet FOLLOW_HamBetween_in_thumbbetweendefault5131

    - #### FOLLOW_thumb_in_thumbextra5197

          public static final org.antlr.runtime.BitSet FOLLOW_thumb_in_thumbextra5197

    - #### FOLLOW_fingerpart_in_thumbextra5213

          public static final org.antlr.runtime.BitSet FOLLOW_fingerpart_in_thumbextra5213

    - #### FOLLOW_extfidir1_in_extfidir25279

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir1_in_extfidir25279

    - #### FOLLOW_splitextfidir2_in_extfidir25295

          public static final org.antlr.runtime.BitSet FOLLOW_splitextfidir2_in_extfidir25295

    - #### FOLLOW_HamParbegin_in_splitextfidir25346

          public static final org.antlr.runtime.BitSet FOLLOW_HamParbegin_in_splitextfidir25346

    - #### FOLLOW_extfidir1_in_splitextfidir25358

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir1_in_splitextfidir25358

    - #### FOLLOW_HamPlus_in_splitextfidir25368

          public static final org.antlr.runtime.BitSet FOLLOW_HamPlus_in_splitextfidir25368

    - #### FOLLOW_extfidir1_in_splitextfidir25380

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir1_in_splitextfidir25380

    - #### FOLLOW_HamParend_in_splitextfidir25390

          public static final org.antlr.runtime.BitSet FOLLOW_HamParend_in_splitextfidir25390

    - #### FOLLOW_extfidir_in_extfidir15421

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir_in_extfidir15421

    - #### FOLLOW_HamBetween_in_extfidir15445

          public static final org.antlr.runtime.BitSet FOLLOW_HamBetween_in_extfidir15445

    - #### FOLLOW_extfidir_in_extfidir15459

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir_in_extfidir15459

    - #### FOLLOW_HamOrirelative_in_extfidir15494

          public static final org.antlr.runtime.BitSet FOLLOW_HamOrirelative_in_extfidir15494

    - #### FOLLOW_palmor1_in_palmor25566

          public static final org.antlr.runtime.BitSet FOLLOW_palmor1_in_palmor25566

    - #### FOLLOW_splitpalmor2_in_palmor25582

          public static final org.antlr.runtime.BitSet FOLLOW_splitpalmor2_in_palmor25582

    - #### FOLLOW_HamParbegin_in_splitpalmor25633

          public static final org.antlr.runtime.BitSet FOLLOW_HamParbegin_in_splitpalmor25633

    - #### FOLLOW_palmor1_in_splitpalmor25645

          public static final org.antlr.runtime.BitSet FOLLOW_palmor1_in_splitpalmor25645

    - #### FOLLOW_HamPlus_in_splitpalmor25655

          public static final org.antlr.runtime.BitSet FOLLOW_HamPlus_in_splitpalmor25655

    - #### FOLLOW_palmor1_in_splitpalmor25667

          public static final org.antlr.runtime.BitSet FOLLOW_palmor1_in_splitpalmor25667

    - #### FOLLOW_HamParend_in_splitpalmor25677

          public static final org.antlr.runtime.BitSet FOLLOW_HamParend_in_splitpalmor25677

    - #### FOLLOW_palmor_in_palmor15708

          public static final org.antlr.runtime.BitSet FOLLOW_palmor_in_palmor15708

    - #### FOLLOW_HamBetween_in_palmor15732

          public static final org.antlr.runtime.BitSet FOLLOW_HamBetween_in_palmor15732

    - #### FOLLOW_palmor_in_palmor15746

          public static final org.antlr.runtime.BitSet FOLLOW_palmor_in_palmor15746

    - #### FOLLOW_HamEtc_in_palmor15764

          public static final org.antlr.runtime.BitSet FOLLOW_HamEtc_in_palmor15764

    - #### FOLLOW_HamOrirelative_in_palmor15799

          public static final org.antlr.runtime.BitSet FOLLOW_HamOrirelative_in_palmor15799

    - #### FOLLOW_location1as2_in_location25874

          public static final org.antlr.runtime.BitSet FOLLOW_location1as2_in_location25874

    - #### FOLLOW_location2not1_in_location25890

          public static final org.antlr.runtime.BitSet FOLLOW_location2not1_in_location25890

    - #### FOLLOW_location1_in_location1as25925

          public static final org.antlr.runtime.BitSet FOLLOW_location1_in_location1as25925

    - #### FOLLOW_handconstellation_in_location2not16003

          public static final org.antlr.runtime.BitSet FOLLOW_handconstellation_in_location2not16003

    - #### FOLLOW_HamNeutralspace_in_location2not16027

          public static final org.antlr.runtime.BitSet FOLLOW_HamNeutralspace_in_location2not16027

    - #### FOLLOW_HamArmextended_in_location2not16043

          public static final org.antlr.runtime.BitSet FOLLOW_HamArmextended_in_location2not16043

    - #### FOLLOW_locationbody_in_location2not16072

          public static final org.antlr.runtime.BitSet FOLLOW_locationbody_in_location2not16072

    - #### FOLLOW_HamParbegin_in_location2not16120

          public static final org.antlr.runtime.BitSet FOLLOW_HamParbegin_in_location2not16120

    - #### FOLLOW_location1_in_location2not16130

          public static final org.antlr.runtime.BitSet FOLLOW_location1_in_location2not16130

    - #### FOLLOW_HamPlus_in_location2not16140

          public static final org.antlr.runtime.BitSet FOLLOW_HamPlus_in_location2not16140

    - #### FOLLOW_location1_in_location2not16150

          public static final org.antlr.runtime.BitSet FOLLOW_location1_in_location2not16150

    - #### FOLLOW_HamParend_in_location2not16160

          public static final org.antlr.runtime.BitSet FOLLOW_HamParend_in_location2not16160

    - #### FOLLOW_locationindexuse_in_location16265

          public static final org.antlr.runtime.BitSet FOLLOW_locationindexuse_in_location16265

    - #### FOLLOW_locationhand_in_location16305

          public static final org.antlr.runtime.BitSet FOLLOW_locationhand_in_location16305

    - #### FOLLOW_locationbodyarm_in_location16321

          public static final org.antlr.runtime.BitSet FOLLOW_locationbodyarm_in_location16321

    - #### FOLLOW_digit_in_locationindexdefine6381

          public static final org.antlr.runtime.BitSet FOLLOW_digit_in_locationindexdefine6381

    - #### FOLLOW_HamCoreftag_in_locationindexdefine6391

          public static final org.antlr.runtime.BitSet FOLLOW_HamCoreftag_in_locationindexdefine6391

    - #### FOLLOW_digit_in_locationindexuse6428

          public static final org.antlr.runtime.BitSet FOLLOW_digit_in_locationindexuse6428

    - #### FOLLOW_HamCorefref_in_locationindexuse6438

          public static final org.antlr.runtime.BitSet FOLLOW_HamCorefref_in_locationindexuse6438

    - #### FOLLOW_HamNeutralspace_in_locationbodyarm6481

          public static final org.antlr.runtime.BitSet FOLLOW_HamNeutralspace_in_locationbodyarm6481

    - #### FOLLOW_HamArmextended_in_locationbodyarm6493

          public static final org.antlr.runtime.BitSet FOLLOW_HamArmextended_in_locationbodyarm6493

    - #### FOLLOW_locationbody_in_locationbodyarm6536

          public static final org.antlr.runtime.BitSet FOLLOW_locationbody_in_locationbodyarm6536

    - #### FOLLOW_locationarm_in_locationbodyarm6552

          public static final org.antlr.runtime.BitSet FOLLOW_locationarm_in_locationbodyarm6552

    - #### FOLLOW_levelcomplexbody_in_locationbody6606

          public static final org.antlr.runtime.BitSet FOLLOW_levelcomplexbody_in_locationbody6606

    - #### FOLLOW_HamBehind_in_locationbody6618

          public static final org.antlr.runtime.BitSet FOLLOW_HamBehind_in_locationbody6618

    - #### FOLLOW_contactbody_in_locationbody6641

          public static final org.antlr.runtime.BitSet FOLLOW_contactbody_in_locationbody6641

    - #### FOLLOW_levelcomplexhand_in_locationhand6702

          public static final org.antlr.runtime.BitSet FOLLOW_levelcomplexhand_in_locationhand6702

    - #### FOLLOW_contacthand_in_locationhand6720

          public static final org.antlr.runtime.BitSet FOLLOW_contacthand_in_locationhand6720

    - #### FOLLOW_levelcomplexarm_in_locationarm6778

          public static final org.antlr.runtime.BitSet FOLLOW_levelcomplexarm_in_locationarm6778

    - #### FOLLOW_HamBehind_in_locationarm6790

          public static final org.antlr.runtime.BitSet FOLLOW_HamBehind_in_locationarm6790

    - #### FOLLOW_contactbody_in_locationarm6813

          public static final org.antlr.runtime.BitSet FOLLOW_contactbody_in_locationarm6813

    - #### FOLLOW_levelbody_in_levelcomplexbody6874

          public static final org.antlr.runtime.BitSet FOLLOW_levelbody_in_levelcomplexbody6874

    - #### FOLLOW_HamBetween_in_levelcomplexbody6898

          public static final org.antlr.runtime.BitSet FOLLOW_HamBetween_in_levelcomplexbody6898

    - #### FOLLOW_levelbody_in_levelcomplexbody6914

          public static final org.antlr.runtime.BitSet FOLLOW_levelbody_in_levelcomplexbody6914

    - #### FOLLOW_levelhand_in_levelcomplexhand6954

          public static final org.antlr.runtime.BitSet FOLLOW_levelhand_in_levelcomplexhand6954

    - #### FOLLOW_HamBetween_in_levelcomplexhand6978

          public static final org.antlr.runtime.BitSet FOLLOW_HamBetween_in_levelcomplexhand6978

    - #### FOLLOW_levelhand_in_levelcomplexhand6994

          public static final org.antlr.runtime.BitSet FOLLOW_levelhand_in_levelcomplexhand6994

    - #### FOLLOW_levelarm_in_levelcomplexarm7034

          public static final org.antlr.runtime.BitSet FOLLOW_levelarm_in_levelcomplexarm7034

    - #### FOLLOW_HamBetween_in_levelcomplexarm7058

          public static final org.antlr.runtime.BitSet FOLLOW_HamBetween_in_levelcomplexarm7058

    - #### FOLLOW_levelarm_in_levelcomplexarm7074

          public static final org.antlr.runtime.BitSet FOLLOW_levelarm_in_levelcomplexarm7074

    - #### FOLLOW_locbody_in_levelbody7126

          public static final org.antlr.runtime.BitSet FOLLOW_locbody_in_levelbody7126

    - #### FOLLOW_HamEtc_in_levelbody7138

          public static final org.antlr.runtime.BitSet FOLLOW_HamEtc_in_levelbody7138

    - #### FOLLOW_side_in_levelbody7153

          public static final org.antlr.runtime.BitSet FOLLOW_side_in_levelbody7153

    - #### FOLLOW_locsided_in_levelbody7191

          public static final org.antlr.runtime.BitSet FOLLOW_locsided_in_levelbody7191

    - #### FOLLOW_HamEtc_in_levelbody7203

          public static final org.antlr.runtime.BitSet FOLLOW_HamEtc_in_levelbody7203

    - #### FOLLOW_side_in_levelbody7218

          public static final org.antlr.runtime.BitSet FOLLOW_side_in_levelbody7218

    - #### FOLLOW_side_in_levelbody7256

          public static final org.antlr.runtime.BitSet FOLLOW_side_in_levelbody7256

    - #### FOLLOW_locbody_in_levelbody7280

          public static final org.antlr.runtime.BitSet FOLLOW_locbody_in_levelbody7280

    - #### FOLLOW_HamEtc_in_levelbody7296

          public static final org.antlr.runtime.BitSet FOLLOW_HamEtc_in_levelbody7296

    - #### FOLLOW_locsided_in_levelbody7323

          public static final org.antlr.runtime.BitSet FOLLOW_locsided_in_levelbody7323

    - #### FOLLOW_HamEtc_in_levelbody7339

          public static final org.antlr.runtime.BitSet FOLLOW_HamEtc_in_levelbody7339

    - #### FOLLOW_lochand_in_levelhand7421

          public static final org.antlr.runtime.BitSet FOLLOW_lochand_in_levelhand7421

    - #### FOLLOW_dorsalorpalmar_in_levelhand7433

          public static final org.antlr.runtime.BitSet FOLLOW_dorsalorpalmar_in_levelhand7433

    - #### FOLLOW_side_in_levelhand7451

          public static final org.antlr.runtime.BitSet FOLLOW_side_in_levelhand7451

    - #### FOLLOW_side_in_levelhand7491

          public static final org.antlr.runtime.BitSet FOLLOW_side_in_levelhand7491

    - #### FOLLOW_lochand_in_levelhand7501

          public static final org.antlr.runtime.BitSet FOLLOW_lochand_in_levelhand7501

    - #### FOLLOW_dorsalorpalmar_in_levelhand7513

          public static final org.antlr.runtime.BitSet FOLLOW_dorsalorpalmar_in_levelhand7513

    - #### FOLLOW_locarm_in_levelarm7580

          public static final org.antlr.runtime.BitSet FOLLOW_locarm_in_levelarm7580

    - #### FOLLOW_HamEtc_in_levelarm7592

          public static final org.antlr.runtime.BitSet FOLLOW_HamEtc_in_levelarm7592

    - #### FOLLOW_dorsalorpalmar_in_levelarm7607

          public static final org.antlr.runtime.BitSet FOLLOW_dorsalorpalmar_in_levelarm7607

    - #### FOLLOW_side_in_levelarm7622

          public static final org.antlr.runtime.BitSet FOLLOW_side_in_levelarm7622

    - #### FOLLOW_side_in_levelarm7663

          public static final org.antlr.runtime.BitSet FOLLOW_side_in_levelarm7663

    - #### FOLLOW_locarm_in_levelarm7673

          public static final org.antlr.runtime.BitSet FOLLOW_locarm_in_levelarm7673

    - #### FOLLOW_HamEtc_in_levelarm7685

          public static final org.antlr.runtime.BitSet FOLLOW_HamEtc_in_levelarm7685

    - #### FOLLOW_dorsalorpalmar_in_levelarm7700

          public static final org.antlr.runtime.BitSet FOLLOW_dorsalorpalmar_in_levelarm7700

    - #### FOLLOW_pcontact_in_contactbody7771

          public static final org.antlr.runtime.BitSet FOLLOW_pcontact_in_contactbody7771

    - #### FOLLOW_HamArmextended_in_contactbody7787

          public static final org.antlr.runtime.BitSet FOLLOW_HamArmextended_in_contactbody7787

    - #### FOLLOW_contactofhand_in_contactbody7803

          public static final org.antlr.runtime.BitSet FOLLOW_contactofhand_in_contactbody7803

    - #### FOLLOW_pcontact_in_contacthand7869

          public static final org.antlr.runtime.BitSet FOLLOW_pcontact_in_contacthand7869

    - #### FOLLOW_ccontact_in_contacthand7885

          public static final org.antlr.runtime.BitSet FOLLOW_ccontact_in_contacthand7885

    - #### FOLLOW_contactofhand_in_contacthand7901

          public static final org.antlr.runtime.BitSet FOLLOW_contactofhand_in_contacthand7901

    - #### FOLLOW_HamParbegin_in_handconstellation7969

          public static final org.antlr.runtime.BitSet FOLLOW_HamParbegin_in_handconstellation7969

    - #### FOLLOW_locationhand_in_handconstellation7984

          public static final org.antlr.runtime.BitSet FOLLOW_locationhand_in_handconstellation7984

    - #### FOLLOW_HamPlus_in_handconstellation7998

          public static final org.antlr.runtime.BitSet FOLLOW_HamPlus_in_handconstellation7998

    - #### FOLLOW_locationhand_in_handconstellation8013

          public static final org.antlr.runtime.BitSet FOLLOW_locationhand_in_handconstellation8013

    - #### FOLLOW_HamParend_in_handconstellation8027

          public static final org.antlr.runtime.BitSet FOLLOW_HamParend_in_handconstellation8027

    - #### FOLLOW_contacthand_in_handconstellation8049

          public static final org.antlr.runtime.BitSet FOLLOW_contacthand_in_handconstellation8049

    - #### FOLLOW_HamSeqbegin_in_contactofhand8103

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqbegin_in_contactofhand8103

    - #### FOLLOW_pcontact_in_contactofhand8128

          public static final org.antlr.runtime.BitSet FOLLOW_pcontact_in_contactofhand8128

    - #### FOLLOW_ccontact_in_contactofhand8152

          public static final org.antlr.runtime.BitSet FOLLOW_ccontact_in_contactofhand8152

    - #### FOLLOW_contactohhand_in_contactofhand8218

          public static final org.antlr.runtime.BitSet FOLLOW_contactohhand_in_contactofhand8218

    - #### FOLLOW_contactoharm_in_contactofhand8242

          public static final org.antlr.runtime.BitSet FOLLOW_contactoharm_in_contactofhand8242

    - #### FOLLOW_HamSeqend_in_contactofhand8262

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqend_in_contactofhand8262

    - #### FOLLOW_levelcomplexhand_in_contactohhand8324

          public static final org.antlr.runtime.BitSet FOLLOW_levelcomplexhand_in_contactohhand8324

    - #### FOLLOW_levelcomplexarm_in_contactoharm8375

          public static final org.antlr.runtime.BitSet FOLLOW_levelcomplexarm_in_contactoharm8375

    - #### FOLLOW_handpart_in_lochand8438

          public static final org.antlr.runtime.BitSet FOLLOW_handpart_in_lochand8438

    - #### FOLLOW_fingerpart_in_lochand8454

          public static final org.antlr.runtime.BitSet FOLLOW_fingerpart_in_lochand8454

    - #### FOLLOW_digit_in_lochand8466

          public static final org.antlr.runtime.BitSet FOLLOW_digit_in_lochand8466

    - #### FOLLOW_digit_in_lochand8487

          public static final org.antlr.runtime.BitSet FOLLOW_digit_in_lochand8487

    - #### FOLLOW_fingerpart_in_lochand8502

          public static final org.antlr.runtime.BitSet FOLLOW_fingerpart_in_lochand8502

    - #### FOLLOW_a2tlist_in_a2tstar8543

          public static final org.antlr.runtime.BitSet FOLLOW_a2tlist_in_a2tstar8543

    - #### FOLLOW_a1tlist_in_a1tstar8595

          public static final org.antlr.runtime.BitSet FOLLOW_a1tlist_in_a1tstar8595

    - #### FOLLOW_action2t_in_a2tlist8670

          public static final org.antlr.runtime.BitSet FOLLOW_action2t_in_a2tlist8670

    - #### FOLLOW_a2tlist_in_a2tlist8684

          public static final org.antlr.runtime.BitSet FOLLOW_a2tlist_in_a2tlist8684

    - #### FOLLOW_action1t_in_a1tlist8744

          public static final org.antlr.runtime.BitSet FOLLOW_action1t_in_a1tlist8744

    - #### FOLLOW_a1tlist_in_a1tlist8758

          public static final org.antlr.runtime.BitSet FOLLOW_a1tlist_in_a1tlist8758

    - #### FOLLOW_action1_in_action2t8836

          public static final org.antlr.runtime.BitSet FOLLOW_action1_in_action2t8836

    - #### FOLLOW_location2not1_in_action2t8846

          public static final org.antlr.runtime.BitSet FOLLOW_location2not1_in_action2t8846

    - #### FOLLOW_repetitionsoption_in_action2t8856

          public static final org.antlr.runtime.BitSet FOLLOW_repetitionsoption_in_action2t8856

    - #### FOLLOW_action1t_in_action2t8914

          public static final org.antlr.runtime.BitSet FOLLOW_action1t_in_action2t8914

    - #### FOLLOW_splitaction2loc2_in_action2t9023

          public static final org.antlr.runtime.BitSet FOLLOW_splitaction2loc2_in_action2t9023

    - #### FOLLOW_splitaction2t_in_action2t9088

          public static final org.antlr.runtime.BitSet FOLLOW_splitaction2t_in_action2t9088

    - #### FOLLOW_paraction2t_in_action2t9112

          public static final org.antlr.runtime.BitSet FOLLOW_paraction2t_in_action2t9112

    - #### FOLLOW_seqaction2t_in_action2t9136

          public static final org.antlr.runtime.BitSet FOLLOW_seqaction2t_in_action2t9136

    - #### FOLLOW_seqfusedaction2t_in_action2t9160

          public static final org.antlr.runtime.BitSet FOLLOW_seqfusedaction2t_in_action2t9160

    - #### FOLLOW_repetitionsoption_in_action2t9180

          public static final org.antlr.runtime.BitSet FOLLOW_repetitionsoption_in_action2t9180

    - #### FOLLOW_action1_in_action1t9314

          public static final org.antlr.runtime.BitSet FOLLOW_action1_in_action1t9314

    - #### FOLLOW_handconstellation_in_action1t9402

          public static final org.antlr.runtime.BitSet FOLLOW_handconstellation_in_action1t9402

    - #### FOLLOW_location1_in_action1t9442

          public static final org.antlr.runtime.BitSet FOLLOW_location1_in_action1t9442

    - #### FOLLOW_HamLargemod_in_action1t9466

          public static final org.antlr.runtime.BitSet FOLLOW_HamLargemod_in_action1t9466

    - #### FOLLOW_paraction1t_in_action1t9526

          public static final org.antlr.runtime.BitSet FOLLOW_paraction1t_in_action1t9526

    - #### FOLLOW_seqnmoraction1t_in_action1t9555

          public static final org.antlr.runtime.BitSet FOLLOW_seqnmoraction1t_in_action1t9555

    - #### FOLLOW_seqfusedaction1t_in_action1t9580

          public static final org.antlr.runtime.BitSet FOLLOW_seqfusedaction1t_in_action1t9580

    - #### FOLLOW_repetitionsoption_in_action1t9600

          public static final org.antlr.runtime.BitSet FOLLOW_repetitionsoption_in_action1t9600

    - #### FOLLOW_HamNomotion_in_action19738

          public static final org.antlr.runtime.BitSet FOLLOW_HamNomotion_in_action19738

    - #### FOLLOW_simplemovement_in_action19767

          public static final org.antlr.runtime.BitSet FOLLOW_simplemovement_in_action19767

    - #### FOLLOW_modifier_in_action19793

          public static final org.antlr.runtime.BitSet FOLLOW_modifier_in_action19793

    - #### FOLLOW_HamLargemod_in_action19812

          public static final org.antlr.runtime.BitSet FOLLOW_HamLargemod_in_action19812

    - #### FOLLOW_specialfingerplaymovement_in_action19887

          public static final org.antlr.runtime.BitSet FOLLOW_specialfingerplaymovement_in_action19887

    - #### FOLLOW_paraction1_in_action19916

          public static final org.antlr.runtime.BitSet FOLLOW_paraction1_in_action19916

    - #### FOLLOW_seqaction1_in_action19945

          public static final org.antlr.runtime.BitSet FOLLOW_seqaction1_in_action19945

    - #### FOLLOW_seqfusedaction1_in_action19974

          public static final org.antlr.runtime.BitSet FOLLOW_seqfusedaction1_in_action19974

    - #### FOLLOW_action1_in_action1seq10010

          public static final org.antlr.runtime.BitSet FOLLOW_action1_in_action1seq10010

    - #### FOLLOW_action1t_in_action1tseq10022

          public static final org.antlr.runtime.BitSet FOLLOW_action1t_in_action1tseq10022

    - #### FOLLOW_HamParbegin_in_paraction2t10049

          public static final org.antlr.runtime.BitSet FOLLOW_HamParbegin_in_paraction2t10049

    - #### FOLLOW_action2t_in_paraction2t10062

          public static final org.antlr.runtime.BitSet FOLLOW_action2t_in_paraction2t10062

    - #### FOLLOW_HamParend_in_paraction2t10075

          public static final org.antlr.runtime.BitSet FOLLOW_HamParend_in_paraction2t10075

    - #### FOLLOW_HamSeqbegin_in_seqaction2t10128

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqbegin_in_seqaction2t10128

    - #### FOLLOW_action2t_in_seqaction2t10141

          public static final org.antlr.runtime.BitSet FOLLOW_action2t_in_seqaction2t10141

    - #### FOLLOW_HamSeqend_in_seqaction2t10154

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqend_in_seqaction2t10154

    - #### FOLLOW_HamFusionbegin_in_seqfusedaction2t10207

          public static final org.antlr.runtime.BitSet FOLLOW_HamFusionbegin_in_seqfusedaction2t10207

    - #### FOLLOW_action2t_in_seqfusedaction2t10220

          public static final org.antlr.runtime.BitSet FOLLOW_action2t_in_seqfusedaction2t10220

    - #### FOLLOW_HamFusionend_in_seqfusedaction2t10233

          public static final org.antlr.runtime.BitSet FOLLOW_HamFusionend_in_seqfusedaction2t10233

    - #### FOLLOW_HamParbegin_in_splitaction2loc210286

          public static final org.antlr.runtime.BitSet FOLLOW_HamParbegin_in_splitaction2loc210286

    - #### FOLLOW_action1seq_in_splitaction2loc210299

          public static final org.antlr.runtime.BitSet FOLLOW_action1seq_in_splitaction2loc210299

    - #### FOLLOW_HamPlus_in_splitaction2loc210309

          public static final org.antlr.runtime.BitSet FOLLOW_HamPlus_in_splitaction2loc210309

    - #### FOLLOW_action1seq_in_splitaction2loc210321

          public static final org.antlr.runtime.BitSet FOLLOW_action1seq_in_splitaction2loc210321

    - #### FOLLOW_HamParend_in_splitaction2loc210331

          public static final org.antlr.runtime.BitSet FOLLOW_HamParend_in_splitaction2loc210331

    - #### FOLLOW_location2_in_splitaction2loc210342

          public static final org.antlr.runtime.BitSet FOLLOW_location2_in_splitaction2loc210342

    - #### FOLLOW_HamParbegin_in_splitaction2t10401

          public static final org.antlr.runtime.BitSet FOLLOW_HamParbegin_in_splitaction2t10401

    - #### FOLLOW_action1tseq_in_splitaction2t10414

          public static final org.antlr.runtime.BitSet FOLLOW_action1tseq_in_splitaction2t10414

    - #### FOLLOW_HamPlus_in_splitaction2t10424

          public static final org.antlr.runtime.BitSet FOLLOW_HamPlus_in_splitaction2t10424

    - #### FOLLOW_action1tseq_in_splitaction2t10436

          public static final org.antlr.runtime.BitSet FOLLOW_action1tseq_in_splitaction2t10436

    - #### FOLLOW_HamParend_in_splitaction2t10446

          public static final org.antlr.runtime.BitSet FOLLOW_HamParend_in_splitaction2t10446

    - #### FOLLOW_HamParbegin_in_paraction1t10510

          public static final org.antlr.runtime.BitSet FOLLOW_HamParbegin_in_paraction1t10510

    - #### FOLLOW_action1t_in_paraction1t10523

          public static final org.antlr.runtime.BitSet FOLLOW_action1t_in_paraction1t10523

    - #### FOLLOW_HamParend_in_paraction1t10536

          public static final org.antlr.runtime.BitSet FOLLOW_HamParend_in_paraction1t10536

    - #### FOLLOW_HamSeqbegin_in_seqnmoraction1t10595

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqbegin_in_seqnmoraction1t10595

    - #### FOLLOW_levelbody_in_seqnmoraction1t10626

          public static final org.antlr.runtime.BitSet FOLLOW_levelbody_in_seqnmoraction1t10626

    - #### FOLLOW_levelarm_in_seqnmoraction1t10638

          public static final org.antlr.runtime.BitSet FOLLOW_levelarm_in_seqnmoraction1t10638

    - #### FOLLOW_action1t_in_seqnmoraction1t10648

          public static final org.antlr.runtime.BitSet FOLLOW_action1t_in_seqnmoraction1t10648

    - #### FOLLOW_action1t_in_seqnmoraction1t10684

          public static final org.antlr.runtime.BitSet FOLLOW_action1t_in_seqnmoraction1t10684

    - #### FOLLOW_HamSeqend_in_seqnmoraction1t10721

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqend_in_seqnmoraction1t10721

    - #### FOLLOW_HamSeqbegin_in_seqaction1t10767

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqbegin_in_seqaction1t10767

    - #### FOLLOW_action1t_in_seqaction1t10780

          public static final org.antlr.runtime.BitSet FOLLOW_action1t_in_seqaction1t10780

    - #### FOLLOW_HamSeqend_in_seqaction1t10793

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqend_in_seqaction1t10793

    - #### FOLLOW_HamFusionbegin_in_seqfusedaction1t10851

          public static final org.antlr.runtime.BitSet FOLLOW_HamFusionbegin_in_seqfusedaction1t10851

    - #### FOLLOW_action1t_in_seqfusedaction1t10864

          public static final org.antlr.runtime.BitSet FOLLOW_action1t_in_seqfusedaction1t10864

    - #### FOLLOW_HamFusionend_in_seqfusedaction1t10877

          public static final org.antlr.runtime.BitSet FOLLOW_HamFusionend_in_seqfusedaction1t10877

    - #### FOLLOW_HamSeqbegin_in_nmaction1t10936

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqbegin_in_nmaction1t10936

    - #### FOLLOW_levelbody_in_nmaction1t10967

          public static final org.antlr.runtime.BitSet FOLLOW_levelbody_in_nmaction1t10967

    - #### FOLLOW_levelarm_in_nmaction1t10990

          public static final org.antlr.runtime.BitSet FOLLOW_levelarm_in_nmaction1t10990

    - #### FOLLOW_action1t_in_nmaction1t11010

          public static final org.antlr.runtime.BitSet FOLLOW_action1t_in_nmaction1t11010

    - #### FOLLOW_HamSeqend_in_nmaction1t11020

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqend_in_nmaction1t11020

    - #### FOLLOW_HamParbegin_in_paraction111083

          public static final org.antlr.runtime.BitSet FOLLOW_HamParbegin_in_paraction111083

    - #### FOLLOW_action1_in_paraction111096

          public static final org.antlr.runtime.BitSet FOLLOW_action1_in_paraction111096

    - #### FOLLOW_HamParend_in_paraction111109

          public static final org.antlr.runtime.BitSet FOLLOW_HamParend_in_paraction111109

    - #### FOLLOW_HamSeqbegin_in_seqaction111167

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqbegin_in_seqaction111167

    - #### FOLLOW_action1_in_seqaction111180

          public static final org.antlr.runtime.BitSet FOLLOW_action1_in_seqaction111180

    - #### FOLLOW_HamSeqend_in_seqaction111193

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqend_in_seqaction111193

    - #### FOLLOW_HamFusionbegin_in_seqfusedaction111251

          public static final org.antlr.runtime.BitSet FOLLOW_HamFusionbegin_in_seqfusedaction111251

    - #### FOLLOW_action1_in_seqfusedaction111264

          public static final org.antlr.runtime.BitSet FOLLOW_action1_in_seqfusedaction111264

    - #### FOLLOW_HamFusionend_in_seqfusedaction111277

          public static final org.antlr.runtime.BitSet FOLLOW_HamFusionend_in_seqfusedaction111277

    - #### FOLLOW_repetitions_in_repetitionsoption11392

          public static final org.antlr.runtime.BitSet FOLLOW_repetitions_in_repetitionsoption11392

    - #### FOLLOW_HamSeqbegin_in_repetitions11472

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqbegin_in_repetitions11472

    - #### FOLLOW_HamRepeatfromstartseveral_in_repetitions11483

          public static final org.antlr.runtime.BitSet FOLLOW_HamRepeatfromstartseveral_in_repetitions11483

    - #### FOLLOW_HamEtc_in_repetitions11493

          public static final org.antlr.runtime.BitSet FOLLOW_HamEtc_in_repetitions11493

    - #### FOLLOW_ellipsedirection_in_repetitions11503

          public static final org.antlr.runtime.BitSet FOLLOW_ellipsedirection_in_repetitions11503

    - #### FOLLOW_HamSeqend_in_repetitions11513

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqend_in_repetitions11513

    - #### FOLLOW_repetition_in_repetitions11560

          public static final org.antlr.runtime.BitSet FOLLOW_repetition_in_repetitions11560

    - #### FOLLOW_HamEtc_in_repetitions11592

          public static final org.antlr.runtime.BitSet FOLLOW_HamEtc_in_repetitions11592

    - #### FOLLOW_repetition_in_repetitions11624

          public static final org.antlr.runtime.BitSet FOLLOW_repetition_in_repetitions11624

    - #### FOLLOW_movingrepetition_in_repetitions11663

          public static final org.antlr.runtime.BitSet FOLLOW_movingrepetition_in_repetitions11663

    - #### FOLLOW_sizechangenonlinear_in_repetitions11685

          public static final org.antlr.runtime.BitSet FOLLOW_sizechangenonlinear_in_repetitions11685

    - #### FOLLOW_HamAlternatingmotion_in_repetitions11712

          public static final org.antlr.runtime.BitSet FOLLOW_HamAlternatingmotion_in_repetitions11712

    - #### FOLLOW_HamAlternatingmotion_in_repetitions11728

          public static final org.antlr.runtime.BitSet FOLLOW_HamAlternatingmotion_in_repetitions11728

    - #### FOLLOW_HamAlternatingmotion_in_repetitions11783

          public static final org.antlr.runtime.BitSet FOLLOW_HamAlternatingmotion_in_repetitions11783

    - #### FOLLOW_HamAlternatingmotion_in_repetitions11795

          public static final org.antlr.runtime.BitSet FOLLOW_HamAlternatingmotion_in_repetitions11795

    - #### FOLLOW_HamAlternatingmotion_in_alternations11846

          public static final org.antlr.runtime.BitSet FOLLOW_HamAlternatingmotion_in_alternations11846

    - #### FOLLOW_HamAlternatingmotion_in_alternations11858

          public static final org.antlr.runtime.BitSet FOLLOW_HamAlternatingmotion_in_alternations11858

    - #### FOLLOW_HamSeqbegin_in_movingrepetition11896

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqbegin_in_movingrepetition11896

    - #### FOLLOW_repetition_in_movingrepetition11907

          public static final org.antlr.runtime.BitSet FOLLOW_repetition_in_movingrepetition11907

    - #### FOLLOW_movementarrow_in_movingrepetition11917

          public static final org.antlr.runtime.BitSet FOLLOW_movementarrow_in_movingrepetition11917

    - #### FOLLOW_size_in_movingrepetition11929

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_movingrepetition11929

    - #### FOLLOW_sizechangenonlinear_in_movingrepetition11944

          public static final org.antlr.runtime.BitSet FOLLOW_sizechangenonlinear_in_movingrepetition11944

    - #### FOLLOW_HamSeqend_in_movingrepetition11957

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqend_in_movingrepetition11957

    - #### FOLLOW_straightmovement_in_simplemovement12038

          public static final org.antlr.runtime.BitSet FOLLOW_straightmovement_in_simplemovement12038

    - #### FOLLOW_size_in_simplemovement12054

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_simplemovement12054

    - #### FOLLOW_arckind_in_simplemovement12089

          public static final org.antlr.runtime.BitSet FOLLOW_arckind_in_simplemovement12089

    - #### FOLLOW_zigzag_in_simplemovement12121

          public static final org.antlr.runtime.BitSet FOLLOW_zigzag_in_simplemovement12121

    - #### FOLLOW_circularmovement_in_simplemovement12160

          public static final org.antlr.runtime.BitSet FOLLOW_circularmovement_in_simplemovement12160

    - #### FOLLOW_size_in_simplemovement12176

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_simplemovement12176

    - #### FOLLOW_revolutions_in_simplemovement12195

          public static final org.antlr.runtime.BitSet FOLLOW_revolutions_in_simplemovement12195

    - #### FOLLOW_ellipse_in_simplemovement12214

          public static final org.antlr.runtime.BitSet FOLLOW_ellipse_in_simplemovement12214

    - #### FOLLOW_sizechangenonlinear_in_simplemovement12233

          public static final org.antlr.runtime.BitSet FOLLOW_sizechangenonlinear_in_simplemovement12233

    - #### FOLLOW_movementcross_in_simplemovement12260

          public static final org.antlr.runtime.BitSet FOLLOW_movementcross_in_simplemovement12260

    - #### FOLLOW_size_in_simplemovement12276

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_simplemovement12276

    - #### FOLLOW_wristmovement_in_simplemovement12303

          public static final org.antlr.runtime.BitSet FOLLOW_wristmovement_in_simplemovement12303

    - #### FOLLOW_size_in_simplemovement12319

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_simplemovement12319

    - #### FOLLOW_replacement_in_simplemovement12346

          public static final org.antlr.runtime.BitSet FOLLOW_replacement_in_simplemovement12346

    - #### FOLLOW_HamFingerplay_in_simplemovement12370

          public static final org.antlr.runtime.BitSet FOLLOW_HamFingerplay_in_simplemovement12370

    - #### FOLLOW_brushingcontact_in_simplemovement12432

          public static final org.antlr.runtime.BitSet FOLLOW_brushingcontact_in_simplemovement12432

    - #### FOLLOW_locationindexdefine_in_simplemovement12527

          public static final org.antlr.runtime.BitSet FOLLOW_locationindexdefine_in_simplemovement12527

    - #### FOLLOW_HamSeqbegin_in_specialfingerplaymovement12687

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqbegin_in_specialfingerplaymovement12687

    - #### FOLLOW_digit_in_specialfingerplaymovement12700

          public static final org.antlr.runtime.BitSet FOLLOW_digit_in_specialfingerplaymovement12700

    - #### FOLLOW_HamFingerplay_in_specialfingerplaymovement12713

          public static final org.antlr.runtime.BitSet FOLLOW_HamFingerplay_in_specialfingerplaymovement12713

    - #### FOLLOW_HamSeqend_in_specialfingerplaymovement12723

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqend_in_specialfingerplaymovement12723

    - #### FOLLOW_movementarrow_in_straightmovement12768

          public static final org.antlr.runtime.BitSet FOLLOW_movementarrow_in_straightmovement12768

    - #### FOLLOW_HamBetween_in_straightmovement12792

          public static final org.antlr.runtime.BitSet FOLLOW_HamBetween_in_straightmovement12792

    - #### FOLLOW_movementarrow_in_straightmovement12807

          public static final org.antlr.runtime.BitSet FOLLOW_movementarrow_in_straightmovement12807

    - #### FOLLOW_movementcircle_in_circularmovement12860

          public static final org.antlr.runtime.BitSet FOLLOW_movementcircle_in_circularmovement12860

    - #### FOLLOW_HamBetween_in_circularmovement12884

          public static final org.antlr.runtime.BitSet FOLLOW_HamBetween_in_circularmovement12884

    - #### FOLLOW_movementcircle_in_circularmovement12899

          public static final org.antlr.runtime.BitSet FOLLOW_movementcircle_in_circularmovement12899

    - #### FOLLOW_arc_in_arckind12952

          public static final org.antlr.runtime.BitSet FOLLOW_arc_in_arckind12952

    - #### FOLLOW_arc_in_arckind12964

          public static final org.antlr.runtime.BitSet FOLLOW_arc_in_arckind12964

    - #### FOLLOW_size_in_arckind12979

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_arckind12979

    - #### FOLLOW_set_in_zigzag13011

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_zigzag13011

    - #### FOLLOW_size_in_zigzag13071

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_zigzag13071

    - #### FOLLOW_ellipsedirection_in_zigzag13086

          public static final org.antlr.runtime.BitSet FOLLOW_ellipsedirection_in_zigzag13086

    - #### FOLLOW_sizechangenonlinear_in_zigzag13101

          public static final org.antlr.runtime.BitSet FOLLOW_sizechangenonlinear_in_zigzag13101

    - #### FOLLOW_sizechange_in_sizechangenonlinear13133

          public static final org.antlr.runtime.BitSet FOLLOW_sizechange_in_sizechangenonlinear13133

    - #### FOLLOW_size_in_sizechangenonlinear13145

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_sizechangenonlinear13145

    - #### FOLLOW_ellipsedirection_in_ellipse13177

          public static final org.antlr.runtime.BitSet FOLLOW_ellipsedirection_in_ellipse13177

    - #### FOLLOW_size_in_ellipse13189

          public static final org.antlr.runtime.BitSet FOLLOW_size_in_ellipse13189

    - #### FOLLOW_clock_in_revolutions13233

          public static final org.antlr.runtime.BitSet FOLLOW_clock_in_revolutions13233

    - #### FOLLOW_HamClockfull_in_revolutions13257

          public static final org.antlr.runtime.BitSet FOLLOW_HamClockfull_in_revolutions13257

    - #### FOLLOW_HamClockfull_in_revolutions13273

          public static final org.antlr.runtime.BitSet FOLLOW_HamClockfull_in_revolutions13273

    - #### FOLLOW_clock_in_revolutions13299

          public static final org.antlr.runtime.BitSet FOLLOW_clock_in_revolutions13299

    - #### FOLLOW_HamClockfull_in_revolutions13318

          public static final org.antlr.runtime.BitSet FOLLOW_HamClockfull_in_revolutions13318

    - #### FOLLOW_HamClockfull_in_revolutions13330

          public static final org.antlr.runtime.BitSet FOLLOW_HamClockfull_in_revolutions13330

    - #### FOLLOW_clock_in_revolutions13345

          public static final org.antlr.runtime.BitSet FOLLOW_clock_in_revolutions13345

    - #### FOLLOW_HamReplace_in_replacement13383

          public static final org.antlr.runtime.BitSet FOLLOW_HamReplace_in_replacement13383

    - #### FOLLOW_sizechange_in_replacement13396

          public static final org.antlr.runtime.BitSet FOLLOW_sizechange_in_replacement13396

    - #### FOLLOW_handshape1_in_replacement13423

          public static final org.antlr.runtime.BitSet FOLLOW_handshape1_in_replacement13423

    - #### FOLLOW_splitreplacetail_in_replacement13495

          public static final org.antlr.runtime.BitSet FOLLOW_splitreplacetail_in_replacement13495

    - #### FOLLOW_extfidir1_in_replacement13529

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir1_in_replacement13529

    - #### FOLLOW_palmor1_in_replacement13552

          public static final org.antlr.runtime.BitSet FOLLOW_palmor1_in_replacement13552

    - #### FOLLOW_splitreplacetail_in_replacement13618

          public static final org.antlr.runtime.BitSet FOLLOW_splitreplacetail_in_replacement13618

    - #### FOLLOW_extfidir1_in_replacement13657

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir1_in_replacement13657

    - #### FOLLOW_palmor1_in_replacement13673

          public static final org.antlr.runtime.BitSet FOLLOW_palmor1_in_replacement13673

    - #### FOLLOW_palmor1_in_replacement13718

          public static final org.antlr.runtime.BitSet FOLLOW_palmor1_in_replacement13718

    - #### FOLLOW_HamParbegin_in_splitreplacetail13772

          public static final org.antlr.runtime.BitSet FOLLOW_HamParbegin_in_splitreplacetail13772

    - #### FOLLOW_replacetail1_in_splitreplacetail13783

          public static final org.antlr.runtime.BitSet FOLLOW_replacetail1_in_splitreplacetail13783

    - #### FOLLOW_HamPlus_in_splitreplacetail13793

          public static final org.antlr.runtime.BitSet FOLLOW_HamPlus_in_splitreplacetail13793

    - #### FOLLOW_HamNomotion_in_splitreplacetail13818

          public static final org.antlr.runtime.BitSet FOLLOW_HamNomotion_in_splitreplacetail13818

    - #### FOLLOW_replacetail1_in_splitreplacetail13843

          public static final org.antlr.runtime.BitSet FOLLOW_replacetail1_in_splitreplacetail13843

    - #### FOLLOW_HamParend_in_splitreplacetail13863

          public static final org.antlr.runtime.BitSet FOLLOW_HamParend_in_splitreplacetail13863

    - #### FOLLOW_extfidir1_in_replacetail113927

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir1_in_replacetail113927

    - #### FOLLOW_palmor1_in_replacetail113939

          public static final org.antlr.runtime.BitSet FOLLOW_palmor1_in_replacetail113939

    - #### FOLLOW_palmor1_in_replacetail113958

          public static final org.antlr.runtime.BitSet FOLLOW_palmor1_in_replacetail113958

    - #### FOLLOW_HamSeqbegin_in_brushingcontact14014

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqbegin_in_brushingcontact14014

    - #### FOLLOW_HamBrushing_in_brushingcontact14026

          public static final org.antlr.runtime.BitSet FOLLOW_HamBrushing_in_brushingcontact14026

    - #### FOLLOW_location1_in_brushingcontact14036

          public static final org.antlr.runtime.BitSet FOLLOW_location1_in_brushingcontact14036

    - #### FOLLOW_HamSeqend_in_brushingcontact14046

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqend_in_brushingcontact14046

    - #### FOLLOW_set_in_handshapeclasstok14082

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_handshapeclasstok14082

    - #### FOLLOW_handshapeclasstok_in_handshapeclass14218

          public static final org.antlr.runtime.BitSet FOLLOW_handshapeclasstok_in_handshapeclass14218

    - #### FOLLOW_set_in_fingerbendingtok14255

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_fingerbendingtok14255

    - #### FOLLOW_fingerbendingtok_in_fingerbending14323

          public static final org.antlr.runtime.BitSet FOLLOW_fingerbendingtok_in_fingerbending14323

    - #### FOLLOW_set_in_thumbpostok14365

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_thumbpostok14365

    - #### FOLLOW_thumbpostok_in_thumbpos14409

          public static final org.antlr.runtime.BitSet FOLLOW_thumbpostok_in_thumbpos14409

    - #### FOLLOW_HamThumb_in_thumb14449

          public static final org.antlr.runtime.BitSet FOLLOW_HamThumb_in_thumb14449

    - #### FOLLOW_set_in_finger0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_finger0

    - #### FOLLOW_set_in_fingerpart0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_fingerpart0

    - #### FOLLOW_HamExtfingeru_in_extfidirtok14622

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingeru_in_extfidirtok14622

    - #### FOLLOW_HamExtfingerur_in_extfidirtok14632

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerur_in_extfidirtok14632

    - #### FOLLOW_HamExtfingerr_in_extfidirtok14642

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerr_in_extfidirtok14642

    - #### FOLLOW_HamExtfingerdr_in_extfidirtok14652

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerdr_in_extfidirtok14652

    - #### FOLLOW_HamExtfingerd_in_extfidirtok14662

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerd_in_extfidirtok14662

    - #### FOLLOW_HamExtfingerdl_in_extfidirtok14672

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerdl_in_extfidirtok14672

    - #### FOLLOW_HamExtfingerl_in_extfidirtok14682

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerl_in_extfidirtok14682

    - #### FOLLOW_HamExtfingerul_in_extfidirtok14692

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerul_in_extfidirtok14692

    - #### FOLLOW_HamExtfingerol_in_extfidirtok14716

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerol_in_extfidirtok14716

    - #### FOLLOW_set_in_extfidirtok14730

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_extfidirtok14730

    - #### FOLLOW_HamExtfingero_in_extfidirtok14801

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingero_in_extfidirtok14801

    - #### FOLLOW_HamExtfingeror_in_extfidirtok14825

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingeror_in_extfidirtok14825

    - #### FOLLOW_set_in_extfidirtok14839

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_extfidirtok14839

    - #### FOLLOW_HamExtfingeril_in_extfidirtok14924

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingeril_in_extfidirtok14924

    - #### FOLLOW_set_in_extfidirtok14938

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_extfidirtok14938

    - #### FOLLOW_HamExtfingeri_in_extfidirtok15009

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingeri_in_extfidirtok15009

    - #### FOLLOW_HamExtfingerir_in_extfidirtok15033

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerir_in_extfidirtok15033

    - #### FOLLOW_set_in_extfidirtok15047

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_extfidirtok15047

    - #### FOLLOW_HamExtfingerui_in_extfidirtok15132

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerui_in_extfidirtok15132

    - #### FOLLOW_set_in_extfidirtok15146

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_extfidirtok15146

    - #### FOLLOW_HamExtfingerdi_in_extfidirtok15231

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerdi_in_extfidirtok15231

    - #### FOLLOW_set_in_extfidirtok15245

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_extfidirtok15245

    - #### FOLLOW_HamExtfingerdo_in_extfidirtok15330

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingerdo_in_extfidirtok15330

    - #### FOLLOW_set_in_extfidirtok15344

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_extfidirtok15344

    - #### FOLLOW_HamExtfingeruo_in_extfidirtok15429

          public static final org.antlr.runtime.BitSet FOLLOW_HamExtfingeruo_in_extfidirtok15429

    - #### FOLLOW_set_in_extfidirtok15443

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_extfidirtok15443

    - #### FOLLOW_extfidirtok_in_extfidir15524

          public static final org.antlr.runtime.BitSet FOLLOW_extfidirtok_in_extfidir15524

    - #### FOLLOW_set_in_palmor0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_palmor0

    - #### FOLLOW_set_in_locarm0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_locarm0

    - #### FOLLOW_HamHead_in_locbodytok15726

          public static final org.antlr.runtime.BitSet FOLLOW_HamHead_in_locbodytok15726

    - #### FOLLOW_HamHeadtop_in_locbodytok15736

          public static final org.antlr.runtime.BitSet FOLLOW_HamHeadtop_in_locbodytok15736

    - #### FOLLOW_HamForehead_in_locbodytok15746

          public static final org.antlr.runtime.BitSet FOLLOW_HamForehead_in_locbodytok15746

    - #### FOLLOW_HamEyebrows_in_locbodytok15756

          public static final org.antlr.runtime.BitSet FOLLOW_HamEyebrows_in_locbodytok15756

    - #### FOLLOW_HamNose_in_locbodytok15766

          public static final org.antlr.runtime.BitSet FOLLOW_HamNose_in_locbodytok15766

    - #### FOLLOW_HamNostrils_in_locbodytok15776

          public static final org.antlr.runtime.BitSet FOLLOW_HamNostrils_in_locbodytok15776

    - #### FOLLOW_HamTongue_in_locbodytok15786

          public static final org.antlr.runtime.BitSet FOLLOW_HamTongue_in_locbodytok15786

    - #### FOLLOW_set_in_locbodytok15810

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_locbodytok15810

    - #### FOLLOW_set_in_locbodytok15892

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_locbodytok15892

    - #### FOLLOW_HamChin_in_locbodytok15963

          public static final org.antlr.runtime.BitSet FOLLOW_HamChin_in_locbodytok15963

    - #### FOLLOW_HamUnderchin_in_locbodytok15973

          public static final org.antlr.runtime.BitSet FOLLOW_HamUnderchin_in_locbodytok15973

    - #### FOLLOW_HamNeck_in_locbodytok15983

          public static final org.antlr.runtime.BitSet FOLLOW_HamNeck_in_locbodytok15983

    - #### FOLLOW_HamShouldertop_in_locbodytok15993

          public static final org.antlr.runtime.BitSet FOLLOW_HamShouldertop_in_locbodytok15993

    - #### FOLLOW_HamShoulders_in_locbodytok16003

          public static final org.antlr.runtime.BitSet FOLLOW_HamShoulders_in_locbodytok16003

    - #### FOLLOW_HamChest_in_locbodytok16013

          public static final org.antlr.runtime.BitSet FOLLOW_HamChest_in_locbodytok16013

    - #### FOLLOW_HamStomach_in_locbodytok16023

          public static final org.antlr.runtime.BitSet FOLLOW_HamStomach_in_locbodytok16023

    - #### FOLLOW_HamBelowstomach_in_locbodytok16033

          public static final org.antlr.runtime.BitSet FOLLOW_HamBelowstomach_in_locbodytok16033

    - #### FOLLOW_locbodytok_in_locbody16053

          public static final org.antlr.runtime.BitSet FOLLOW_locbodytok_in_locbody16053

    - #### FOLLOW_set_in_locsided0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_locsided0

    - #### FOLLOW_set_in_handpart0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_handpart0

    - #### FOLLOW_set_in_side0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_side0

    - #### FOLLOW_set_in_dorsalorpalmar0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_dorsalorpalmar0

    - #### FOLLOW_set_in_pcontact0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_pcontact0

    - #### FOLLOW_set_in_ccontact0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_ccontact0

    - #### FOLLOW_set_in_sizechange0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_sizechange0

    - #### FOLLOW_set_in_repetition0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_repetition0

    - #### FOLLOW_set_in_movementarrow0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_movementarrow0

    - #### FOLLOW_set_in_movementcross0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_movementcross0

    - #### FOLLOW_set_in_wristmovement0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_wristmovement0

    - #### FOLLOW_set_in_movementcircle0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_movementcircle0

    - #### FOLLOW_set_in_ellipsedirection0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_ellipsedirection0

    - #### FOLLOW_set_in_clock0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_clock0

    - #### FOLLOW_set_in_modifier0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_modifier0

    - #### FOLLOW_set_in_arc0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_arc0

    - #### FOLLOW_set_in_size0

          public static final org.antlr.runtime.BitSet FOLLOW_set_in_size0

    - #### FOLLOW_HamNondominant_in_synpred1_Ham4Parser920

          public static final org.antlr.runtime.BitSet FOLLOW_HamNondominant_in_synpred1_Ham4Parser920

    - #### FOLLOW_initialconfig1_in_synpred1_Ham4Parser922

          public static final org.antlr.runtime.BitSet FOLLOW_initialconfig1_in_synpred1_Ham4Parser922

    - #### FOLLOW_HamNomotion_in_synpred2_Ham4Parser1104

          public static final org.antlr.runtime.BitSet FOLLOW_HamNomotion_in_synpred2_Ham4Parser1104

    - #### FOLLOW_HamNondominant_in_synpred2_Ham4Parser1106

          public static final org.antlr.runtime.BitSet FOLLOW_HamNondominant_in_synpred2_Ham4Parser1106

    - #### FOLLOW_initialconfig1_in_synpred2_Ham4Parser1108

          public static final org.antlr.runtime.BitSet FOLLOW_initialconfig1_in_synpred2_Ham4Parser1108

    - #### FOLLOW_levelbody_in_synpred3_Ham4Parser1798

          public static final org.antlr.runtime.BitSet FOLLOW_levelbody_in_synpred3_Ham4Parser1798

    - #### FOLLOW_handconfig2_in_synpred4_Ham4Parser1935

          public static final org.antlr.runtime.BitSet FOLLOW_handconfig2_in_synpred4_Ham4Parser1935

    - #### FOLLOW_location2_in_synpred5_Ham4Parser1983

          public static final org.antlr.runtime.BitSet FOLLOW_location2_in_synpred5_Ham4Parser1983

    - #### FOLLOW_HamPlus_in_synpred6_Ham4Parser2093

          public static final org.antlr.runtime.BitSet FOLLOW_HamPlus_in_synpred6_Ham4Parser2093

    - #### FOLLOW_handshape2_in_synpred7_Ham4Parser2406

          public static final org.antlr.runtime.BitSet FOLLOW_handshape2_in_synpred7_Ham4Parser2406

    - #### FOLLOW_HamParbegin_in_synpred7_Ham4Parser2410

          public static final org.antlr.runtime.BitSet FOLLOW_HamParbegin_in_synpred7_Ham4Parser2410

    - #### FOLLOW_extfidir1_in_synpred7_Ham4Parser2415

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir1_in_synpred7_Ham4Parser2415

    - #### FOLLOW_handshape2_in_synpred8_Ham4Parser2480

          public static final org.antlr.runtime.BitSet FOLLOW_handshape2_in_synpred8_Ham4Parser2480

    - #### FOLLOW_extfidir2_in_synpred9_Ham4Parser2797

          public static final org.antlr.runtime.BitSet FOLLOW_extfidir2_in_synpred9_Ham4Parser2797

    - #### FOLLOW_hsfingeritem_in_synpred10_Ham4Parser3160

          public static final org.antlr.runtime.BitSet FOLLOW_hsfingeritem_in_synpred10_Ham4Parser3160

    - #### FOLLOW_HamBetween_in_synpred10_Ham4Parser3165

          public static final org.antlr.runtime.BitSet FOLLOW_HamBetween_in_synpred10_Ham4Parser3165

    - #### FOLLOW_finger_in_synpred10_Ham4Parser3167

          public static final org.antlr.runtime.BitSet FOLLOW_finger_in_synpred10_Ham4Parser3167

    - #### FOLLOW_hsdigit_in_synpred11_Ham4Parser3274

          public static final org.antlr.runtime.BitSet FOLLOW_hsdigit_in_synpred11_Ham4Parser3274

    - #### FOLLOW_fingerbending_in_synpred11_Ham4Parser3281

          public static final org.antlr.runtime.BitSet FOLLOW_fingerbending_in_synpred11_Ham4Parser3281

    - #### FOLLOW_fingerpart_in_synpred11_Ham4Parser3285

          public static final org.antlr.runtime.BitSet FOLLOW_fingerpart_in_synpred11_Ham4Parser3285

    - #### FOLLOW_thumbspecial_in_synpred12_Ham4Parser3363

          public static final org.antlr.runtime.BitSet FOLLOW_thumbspecial_in_synpred12_Ham4Parser3363

    - #### FOLLOW_hsfingeritem_in_synpred13_Ham4Parser3407

          public static final org.antlr.runtime.BitSet FOLLOW_hsfingeritem_in_synpred13_Ham4Parser3407

    - #### FOLLOW_thumbbetweendefault_in_synpred13_Ham4Parser3414

          public static final org.antlr.runtime.BitSet FOLLOW_thumbbetweendefault_in_synpred13_Ham4Parser3414

    - #### FOLLOW_thumbextra_in_synpred13_Ham4Parser3418

          public static final org.antlr.runtime.BitSet FOLLOW_thumbextra_in_synpred13_Ham4Parser3418

    - #### FOLLOW_HamBetween_in_synpred14_Ham4Parser3672

          public static final org.antlr.runtime.BitSet FOLLOW_HamBetween_in_synpred14_Ham4Parser3672

    - #### FOLLOW_handshapeclass_in_synpred14_Ham4Parser3674

          public static final org.antlr.runtime.BitSet FOLLOW_handshapeclass_in_synpred14_Ham4Parser3674

    - #### FOLLOW_hsfingeritem_in_synpred15_Ham4Parser4078

          public static final org.antlr.runtime.BitSet FOLLOW_hsfingeritem_in_synpred15_Ham4Parser4078

    - #### FOLLOW_hsfingeritem_in_synpred16_Ham4Parser4233

          public static final org.antlr.runtime.BitSet FOLLOW_hsfingeritem_in_synpred16_Ham4Parser4233

    - #### FOLLOW_digit_in_synpred16_Ham4Parser4235

          public static final org.antlr.runtime.BitSet FOLLOW_digit_in_synpred16_Ham4Parser4235

    - #### FOLLOW_fingershape_in_synpred17_Ham4Parser4393

          public static final org.antlr.runtime.BitSet FOLLOW_fingershape_in_synpred17_Ham4Parser4393

    - #### FOLLOW_fingercrossing_in_synpred18_Ham4Parser4548

          public static final org.antlr.runtime.BitSet FOLLOW_fingercrossing_in_synpred18_Ham4Parser4548

    - #### FOLLOW_handconstellation_in_synpred19_Ham4Parser5981

          public static final org.antlr.runtime.BitSet FOLLOW_handconstellation_in_synpred19_Ham4Parser5981

    - #### FOLLOW_locationindexuse_in_synpred20_Ham4Parser6223

          public static final org.antlr.runtime.BitSet FOLLOW_locationindexuse_in_synpred20_Ham4Parser6223

    - #### FOLLOW_levelhand_in_synpred21_Ham4Parser6283

          public static final org.antlr.runtime.BitSet FOLLOW_levelhand_in_synpred21_Ham4Parser6283

    - #### FOLLOW_levelbody_in_synpred22_Ham4Parser6514

          public static final org.antlr.runtime.BitSet FOLLOW_levelbody_in_synpred22_Ham4Parser6514

    - #### FOLLOW_contactbody_in_synpred23_Ham4Parser6635

          public static final org.antlr.runtime.BitSet FOLLOW_contactbody_in_synpred23_Ham4Parser6635

    - #### FOLLOW_contacthand_in_synpred24_Ham4Parser6715

          public static final org.antlr.runtime.BitSet FOLLOW_contacthand_in_synpred24_Ham4Parser6715

    - #### FOLLOW_contactbody_in_synpred25_Ham4Parser6807

          public static final org.antlr.runtime.BitSet FOLLOW_contactbody_in_synpred25_Ham4Parser6807

    - #### FOLLOW_levelhand_in_synpred26_Ham4Parser8188

          public static final org.antlr.runtime.BitSet FOLLOW_levelhand_in_synpred26_Ham4Parser8188

    - #### FOLLOW_action1_in_synpred27_Ham4Parser8812

          public static final org.antlr.runtime.BitSet FOLLOW_action1_in_synpred27_Ham4Parser8812

    - #### FOLLOW_location2not1_in_synpred27_Ham4Parser8814

          public static final org.antlr.runtime.BitSet FOLLOW_location2not1_in_synpred27_Ham4Parser8814

    - #### FOLLOW_action1t_in_synpred28_Ham4Parser8892

          public static final org.antlr.runtime.BitSet FOLLOW_action1t_in_synpred28_Ham4Parser8892

    - #### FOLLOW_HamParbegin_in_synpred29_Ham4Parser8959

          public static final org.antlr.runtime.BitSet FOLLOW_HamParbegin_in_synpred29_Ham4Parser8959

    - #### FOLLOW_action1_in_synpred29_Ham4Parser8963

          public static final org.antlr.runtime.BitSet FOLLOW_action1_in_synpred29_Ham4Parser8963

    - #### FOLLOW_HamPlus_in_synpred29_Ham4Parser8968

          public static final org.antlr.runtime.BitSet FOLLOW_HamPlus_in_synpred29_Ham4Parser8968

    - #### FOLLOW_action1_in_synpred29_Ham4Parser8986

          public static final org.antlr.runtime.BitSet FOLLOW_action1_in_synpred29_Ham4Parser8986

    - #### FOLLOW_HamParend_in_synpred29_Ham4Parser8991

          public static final org.antlr.runtime.BitSet FOLLOW_HamParend_in_synpred29_Ham4Parser8991

    - #### FOLLOW_location2_in_synpred29_Ham4Parser8993

          public static final org.antlr.runtime.BitSet FOLLOW_location2_in_synpred29_Ham4Parser8993

    - #### FOLLOW_HamParbegin_in_synpred30_Ham4Parser9049

          public static final org.antlr.runtime.BitSet FOLLOW_HamParbegin_in_synpred30_Ham4Parser9049

    - #### FOLLOW_action1t_in_synpred30_Ham4Parser9053

          public static final org.antlr.runtime.BitSet FOLLOW_action1t_in_synpred30_Ham4Parser9053

    - #### FOLLOW_HamPlus_in_synpred30_Ham4Parser9058

          public static final org.antlr.runtime.BitSet FOLLOW_HamPlus_in_synpred30_Ham4Parser9058

    - #### FOLLOW_action1_in_synpred31_Ham4Parser9266

          public static final org.antlr.runtime.BitSet FOLLOW_action1_in_synpred31_Ham4Parser9266

    - #### FOLLOW_handconstellation_in_synpred32_Ham4Parser9356

          public static final org.antlr.runtime.BitSet FOLLOW_handconstellation_in_synpred32_Ham4Parser9356

    - #### FOLLOW_HamSeqbegin_in_synpred33_Ham4Parser9863

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqbegin_in_synpred33_Ham4Parser9863

    - #### FOLLOW_digit_in_synpred33_Ham4Parser9865

          public static final org.antlr.runtime.BitSet FOLLOW_digit_in_synpred33_Ham4Parser9865

    - #### FOLLOW_levelbody_in_synpred34_Ham4Parser10620

          public static final org.antlr.runtime.BitSet FOLLOW_levelbody_in_synpred34_Ham4Parser10620

    - #### FOLLOW_levelbody_in_synpred35_Ham4Parser10961

          public static final org.antlr.runtime.BitSet FOLLOW_levelbody_in_synpred35_Ham4Parser10961

    - #### FOLLOW_HamSeqbegin_in_synpred36_Ham4Parser11353

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqbegin_in_synpred36_Ham4Parser11353

    - #### FOLLOW_repetition_in_synpred36_Ham4Parser11358

          public static final org.antlr.runtime.BitSet FOLLOW_repetition_in_synpred36_Ham4Parser11358

    - #### FOLLOW_HamAlternatingmotion_in_synpred36_Ham4Parser11362

          public static final org.antlr.runtime.BitSet FOLLOW_HamAlternatingmotion_in_synpred36_Ham4Parser11362

    - #### FOLLOW_HamSeqbegin_in_synpred37_Ham4Parser11446

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqbegin_in_synpred37_Ham4Parser11446

    - #### FOLLOW_HamRepeatfromstartseveral_in_synpred37_Ham4Parser11448

          public static final org.antlr.runtime.BitSet FOLLOW_HamRepeatfromstartseveral_in_synpred37_Ham4Parser11448

    - #### FOLLOW_HamEtc_in_synpred37_Ham4Parser11450

          public static final org.antlr.runtime.BitSet FOLLOW_HamEtc_in_synpred37_Ham4Parser11450

    - #### FOLLOW_HamSeqbegin_in_synpred38_Ham4Parser12404

          public static final org.antlr.runtime.BitSet FOLLOW_HamSeqbegin_in_synpred38_Ham4Parser12404

    - #### FOLLOW_HamBrushing_in_synpred38_Ham4Parser12406

          public static final org.antlr.runtime.BitSet FOLLOW_HamBrushing_in_synpred38_Ham4Parser12406

    - #### FOLLOW_locationindexdefine_in_synpred39_Ham4Parser12501

          public static final org.antlr.runtime.BitSet FOLLOW_locationindexdefine_in_synpred39_Ham4Parser12501

    - #### FOLLOW_splitreplacetail_in_synpred40_Ham4Parser13457

          public static final org.antlr.runtime.BitSet FOLLOW_splitreplacetail_in_synpred40_Ham4Parser13457

  - ### Constructor Detail

    - #### Ham4Parser

          public Ham4Parser(org.antlr.runtime.TokenStream input)

    - #### Ham4Parser

          public Ham4Parser(org.antlr.runtime.TokenStream input,
                            org.antlr.runtime.RecognizerSharedState state)

    - #### Ham4Parser

          public Ham4Parser(org.antlr.runtime.TokenStream lexer,
                            boolean erimmed)

      Constructs a new HNS-4 sign parser, taking input from the given token stream, and using the given setting of the "Immediate Error Reporting" flag.

  - ### Method Detail

    - #### setTreeAdaptor

          public void setTreeAdaptor(org.antlr.runtime.tree.TreeAdaptor adaptor)

    - #### getTreeAdaptor

          public org.antlr.runtime.tree.TreeAdaptor getTreeAdaptor()

    - #### getTokenNames

          public java.lang.String[] getTokenNames()

      Overrides:
        `getTokenNames` in class `org.antlr.runtime.BaseRecognizer`

    - #### getGrammarFileName

          public java.lang.String getGrammarFileName()

      Overrides:
        `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

    - #### checkForParseError

          public void checkForParseError()
                                  throws org.antlr.runtime.RecognitionException

      Does nothing unless parse errors have occurred, in which case a new `RecognitionException` is thrown whose detail message is a complete parsing error log.
      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### reportError

          public void reportError(org.antlr.runtime.RecognitionException ex)

      Reports the parsing error defined by the given exception: an error message is appended to the overall error text for this parse, and a message is also generated immediately on standard output if the parser's "Immediate Error Reporting" flag is set.
      Overrides:
        `reportError` in class `org.antlr.runtime.BaseRecognizer`

    - #### hamsinglesign

          public final Ham4Parser.hamsinglesign_return hamsinglesign()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### hamsignseq

          public final Ham4Parser.hamsignseq_return hamsignseq()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### sign2or1

          public final Ham4Parser.sign2or1_return sign2or1()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### sign2

          public final Ham4Parser.sign2_return sign2()
                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### nondomsign1

          public final Ham4Parser.nondomsign1_return nondomsign1()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### symmoperator

          public final Ham4Parser.symmoperator_return symmoperator()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### initialconfig2

          public final Ham4Parser.initialconfig2_return initialconfig2()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### initialconfig1

          public final Ham4Parser.initialconfig1_return initialconfig1()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### nminitialconfig

          public final Ham4Parser.nminitialconfig_return nminitialconfig()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### nmicunit

          public final Ham4Parser.nmicunit_return nmicunit()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### minitialconfig2

          public final Ham4Parser.minitialconfig2_return minitialconfig2()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### minitialconfig1

          public final Ham4Parser.minitialconfig1_return minitialconfig1()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### handconfig2

          public final Ham4Parser.handconfig2_return handconfig2()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### handconfig1

          public final Ham4Parser.handconfig1_return handconfig1()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### splithandconfig2

          public final Ham4Parser.splithandconfig2_return splithandconfig2()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### handconfigtail2

          public final Ham4Parser.handconfigtail2_return handconfigtail2()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### handshape2

          public final Ham4Parser.handshape2_return handshape2()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### handshape1

          public final Ham4Parser.handshape1_return handshape1()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### basichandshape1

          public final Ham4Parser.basichandshape1_return basichandshape1()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### basichandshape

          public final Ham4Parser.basichandshape_return basichandshape()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### handbendandthumb

          public final Ham4Parser.handbendandthumb_return handbendandthumb()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### fingerlist

          public final Ham4Parser.fingerlist_return fingerlist()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### recfingerlist

          public final Ham4Parser.recfingerlist_return recfingerlist()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### cautiousfingerlist

          public final Ham4Parser.cautiousfingerlist_return cautiousfingerlist()
                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### reccautiousfingerlist

          public final Ham4Parser.reccautiousfingerlist_return reccautiousfingerlist()
                                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### fingershapelist

          public final Ham4Parser.fingershapelist_return fingershapelist()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### recfingershapelist

          public final Ham4Parser.recfingershapelist_return recfingershapelist()
                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### fingercrossinglist

          public final Ham4Parser.fingercrossinglist_return fingercrossinglist()
                                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### recfingercrossinglist

          public final Ham4Parser.recfingercrossinglist_return recfingercrossinglist()
                                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### hsfingeritem

          public final Ham4Parser.hsfingeritem_return hsfingeritem()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### digit

          public final Ham4Parser.digit_return digit()
                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### hsdigit

          public final Ham4Parser.hsdigit_return hsdigit()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### fingershape

          public final Ham4Parser.fingershape_return fingershape()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### fingercrossing

          public final Ham4Parser.fingercrossing_return fingercrossing()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### thumbspecial

          public final Ham4Parser.thumbspecial_return thumbspecial()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### thumbbetween

          public final Ham4Parser.thumbbetween_return thumbbetween()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### thumbbetweenexplicit

          public final Ham4Parser.thumbbetweenexplicit_return thumbbetweenexplicit()
                                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### thumbbetweendefault

          public final Ham4Parser.thumbbetweendefault_return thumbbetweendefault()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### thumbextra

          public final Ham4Parser.thumbextra_return thumbextra()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### extfidir2

          public final Ham4Parser.extfidir2_return extfidir2()
                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### splitextfidir2

          public final Ham4Parser.splitextfidir2_return splitextfidir2()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### extfidir1

          public final Ham4Parser.extfidir1_return extfidir1()
                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### palmor2

          public final Ham4Parser.palmor2_return palmor2()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### splitpalmor2

          public final Ham4Parser.splitpalmor2_return splitpalmor2()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### palmor1

          public final Ham4Parser.palmor1_return palmor1()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### location2

          public final Ham4Parser.location2_return location2()
                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### location1as2

          public final Ham4Parser.location1as2_return location1as2()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### location2not1

          public final Ham4Parser.location2not1_return location2not1()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### location1

          public final Ham4Parser.location1_return location1()
                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### locationindexdefine

          public final Ham4Parser.locationindexdefine_return locationindexdefine()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### locationindexuse

          public final Ham4Parser.locationindexuse_return locationindexuse()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### locationbodyarm

          public final Ham4Parser.locationbodyarm_return locationbodyarm()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### locationbody

          public final Ham4Parser.locationbody_return locationbody()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### locationhand

          public final Ham4Parser.locationhand_return locationhand()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### locationarm

          public final Ham4Parser.locationarm_return locationarm()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### levelcomplexbody

          public final Ham4Parser.levelcomplexbody_return levelcomplexbody()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### levelcomplexhand

          public final Ham4Parser.levelcomplexhand_return levelcomplexhand()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### levelcomplexarm

          public final Ham4Parser.levelcomplexarm_return levelcomplexarm()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### levelbody

          public final Ham4Parser.levelbody_return levelbody()
                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### levelhand

          public final Ham4Parser.levelhand_return levelhand()
                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### levelarm

          public final Ham4Parser.levelarm_return levelarm()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### contactbody

          public final Ham4Parser.contactbody_return contactbody()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### contacthand

          public final Ham4Parser.contacthand_return contacthand()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### handconstellation

          public final Ham4Parser.handconstellation_return handconstellation()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### contactofhand

          public final Ham4Parser.contactofhand_return contactofhand()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### contactohhand

          public final Ham4Parser.contactohhand_return contactohhand()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### contactoharm

          public final Ham4Parser.contactoharm_return contactoharm()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### lochand

          public final Ham4Parser.lochand_return lochand()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### a2tstar

          public final Ham4Parser.a2tstar_return a2tstar()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### a1tstar

          public final Ham4Parser.a1tstar_return a1tstar()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### a2tlist

          public final Ham4Parser.a2tlist_return a2tlist()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### a1tlist

          public final Ham4Parser.a1tlist_return a1tlist()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### action2t

          public final Ham4Parser.action2t_return action2t()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### action1t

          public final Ham4Parser.action1t_return action1t()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### action1

          public final Ham4Parser.action1_return action1()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### action1seq

          public final Ham4Parser.action1seq_return action1seq()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### action1tseq

          public final Ham4Parser.action1tseq_return action1tseq()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### paraction2t

          public final Ham4Parser.paraction2t_return paraction2t()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### seqaction2t

          public final Ham4Parser.seqaction2t_return seqaction2t()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### seqfusedaction2t

          public final Ham4Parser.seqfusedaction2t_return seqfusedaction2t()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### splitaction2loc2

          public final Ham4Parser.splitaction2loc2_return splitaction2loc2()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### splitaction2t

          public final Ham4Parser.splitaction2t_return splitaction2t()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### paraction1t

          public final Ham4Parser.paraction1t_return paraction1t()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### seqnmoraction1t

          public final Ham4Parser.seqnmoraction1t_return seqnmoraction1t()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### seqaction1t

          public final Ham4Parser.seqaction1t_return seqaction1t()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### seqfusedaction1t

          public final Ham4Parser.seqfusedaction1t_return seqfusedaction1t()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### nmaction1t

          public final Ham4Parser.nmaction1t_return nmaction1t()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### paraction1

          public final Ham4Parser.paraction1_return paraction1()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### seqaction1

          public final Ham4Parser.seqaction1_return seqaction1()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### seqfusedaction1

          public final Ham4Parser.seqfusedaction1_return seqfusedaction1()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### repetitionsoption

          public final Ham4Parser.repetitionsoption_return repetitionsoption()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### repetitions

          public final Ham4Parser.repetitions_return repetitions()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### alternations

          public final Ham4Parser.alternations_return alternations()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### movingrepetition

          public final Ham4Parser.movingrepetition_return movingrepetition()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### simplemovement

          public final Ham4Parser.simplemovement_return simplemovement()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### specialfingerplaymovement

          public final Ham4Parser.specialfingerplaymovement_return specialfingerplaymovement()
                                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### straightmovement

          public final Ham4Parser.straightmovement_return straightmovement()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### circularmovement

          public final Ham4Parser.circularmovement_return circularmovement()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### arckind

          public final Ham4Parser.arckind_return arckind()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### zigzag

          public final Ham4Parser.zigzag_return zigzag()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### sizechangenonlinear

          public final Ham4Parser.sizechangenonlinear_return sizechangenonlinear()
                                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ellipse

          public final Ham4Parser.ellipse_return ellipse()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### revolutions

          public final Ham4Parser.revolutions_return revolutions()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### replacement

          public final Ham4Parser.replacement_return replacement()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### splitreplacetail

          public final Ham4Parser.splitreplacetail_return splitreplacetail()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### replacetail1

          public final Ham4Parser.replacetail1_return replacetail1()
                                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### brushingcontact

          public final Ham4Parser.brushingcontact_return brushingcontact()
                                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### handshapeclasstok

          public final Ham4Parser.handshapeclasstok_return handshapeclasstok()
                                                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### handshapeclass

          public final Ham4Parser.handshapeclass_return handshapeclass()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### fingerbendingtok

          public final Ham4Parser.fingerbendingtok_return fingerbendingtok()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### fingerbending

          public final Ham4Parser.fingerbending_return fingerbending()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### thumbpostok

          public final Ham4Parser.thumbpostok_return thumbpostok()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### thumbpos

          public final Ham4Parser.thumbpos_return thumbpos()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### thumb

          public final Ham4Parser.thumb_return thumb()
                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### finger

          public final Ham4Parser.finger_return finger()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### fingerpart

          public final Ham4Parser.fingerpart_return fingerpart()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### extfidirtok

          public final Ham4Parser.extfidirtok_return extfidirtok()
                                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### extfidir

          public final Ham4Parser.extfidir_return extfidir()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### palmor

          public final Ham4Parser.palmor_return palmor()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### locarm

          public final Ham4Parser.locarm_return locarm()
                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### locbodytok

          public final Ham4Parser.locbodytok_return locbodytok()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### locbody

          public final Ham4Parser.locbody_return locbody()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### locsided

          public final Ham4Parser.locsided_return locsided()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### handpart

          public final Ham4Parser.handpart_return handpart()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### side

          public final Ham4Parser.side_return side()
                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### dorsalorpalmar

          public final Ham4Parser.dorsalorpalmar_return dorsalorpalmar()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### pcontact

          public final Ham4Parser.pcontact_return pcontact()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ccontact

          public final Ham4Parser.ccontact_return ccontact()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### sizechange

          public final Ham4Parser.sizechange_return sizechange()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### repetition

          public final Ham4Parser.repetition_return repetition()
                                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### movementarrow

          public final Ham4Parser.movementarrow_return movementarrow()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### movementcross

          public final Ham4Parser.movementcross_return movementcross()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### wristmovement

          public final Ham4Parser.wristmovement_return wristmovement()
                                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### movementcircle

          public final Ham4Parser.movementcircle_return movementcircle()
                                                                throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### ellipsedirection

          public final Ham4Parser.ellipsedirection_return ellipsedirection()
                                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### clock

          public final Ham4Parser.clock_return clock()
                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### modifier

          public final Ham4Parser.modifier_return modifier()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### arc

          public final Ham4Parser.arc_return arc()
                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### size

          public final Ham4Parser.size_return size()
                                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred1_Ham4Parser_fragment

          public final void synpred1_Ham4Parser_fragment()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred2_Ham4Parser_fragment

          public final void synpred2_Ham4Parser_fragment()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred3_Ham4Parser_fragment

          public final void synpred3_Ham4Parser_fragment()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred4_Ham4Parser_fragment

          public final void synpred4_Ham4Parser_fragment()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred5_Ham4Parser_fragment

          public final void synpred5_Ham4Parser_fragment()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred6_Ham4Parser_fragment

          public final void synpred6_Ham4Parser_fragment()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred7_Ham4Parser_fragment

          public final void synpred7_Ham4Parser_fragment()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred8_Ham4Parser_fragment

          public final void synpred8_Ham4Parser_fragment()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred9_Ham4Parser_fragment

          public final void synpred9_Ham4Parser_fragment()
                                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred10_Ham4Parser_fragment

          public final void synpred10_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred11_Ham4Parser_fragment

          public final void synpred11_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred12_Ham4Parser_fragment

          public final void synpred12_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred13_Ham4Parser_fragment

          public final void synpred13_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred14_Ham4Parser_fragment

          public final void synpred14_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred15_Ham4Parser_fragment

          public final void synpred15_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred16_Ham4Parser_fragment

          public final void synpred16_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred17_Ham4Parser_fragment

          public final void synpred17_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred18_Ham4Parser_fragment

          public final void synpred18_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred19_Ham4Parser_fragment

          public final void synpred19_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred20_Ham4Parser_fragment

          public final void synpred20_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred21_Ham4Parser_fragment

          public final void synpred21_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred22_Ham4Parser_fragment

          public final void synpred22_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred23_Ham4Parser_fragment

          public final void synpred23_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred24_Ham4Parser_fragment

          public final void synpred24_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred25_Ham4Parser_fragment

          public final void synpred25_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred26_Ham4Parser_fragment

          public final void synpred26_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred27_Ham4Parser_fragment

          public final void synpred27_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred28_Ham4Parser_fragment

          public final void synpred28_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred29_Ham4Parser_fragment

          public final void synpred29_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred30_Ham4Parser_fragment

          public final void synpred30_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred31_Ham4Parser_fragment

          public final void synpred31_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred32_Ham4Parser_fragment

          public final void synpred32_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred33_Ham4Parser_fragment

          public final void synpred33_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred34_Ham4Parser_fragment

          public final void synpred34_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred35_Ham4Parser_fragment

          public final void synpred35_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred36_Ham4Parser_fragment

          public final void synpred36_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred37_Ham4Parser_fragment

          public final void synpred37_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred38_Ham4Parser_fragment

          public final void synpred38_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred39_Ham4Parser_fragment

          public final void synpred39_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred40_Ham4Parser_fragment

          public final void synpred40_Ham4Parser_fragment()
                                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### synpred6_Ham4Parser

          public final boolean synpred6_Ham4Parser()

    - #### synpred19_Ham4Parser

          public final boolean synpred19_Ham4Parser()

    - #### synpred22_Ham4Parser

          public final boolean synpred22_Ham4Parser()

    - #### synpred12_Ham4Parser

          public final boolean synpred12_Ham4Parser()

    - #### synpred9_Ham4Parser

          public final boolean synpred9_Ham4Parser()

    - #### synpred3_Ham4Parser

          public final boolean synpred3_Ham4Parser()

    - #### synpred16_Ham4Parser

          public final boolean synpred16_Ham4Parser()

    - #### synpred26_Ham4Parser

          public final boolean synpred26_Ham4Parser()

    - #### synpred36_Ham4Parser

          public final boolean synpred36_Ham4Parser()

    - #### synpred28_Ham4Parser

          public final boolean synpred28_Ham4Parser()

    - #### synpred32_Ham4Parser

          public final boolean synpred32_Ham4Parser()

    - #### synpred31_Ham4Parser

          public final boolean synpred31_Ham4Parser()

    - #### synpred5_Ham4Parser

          public final boolean synpred5_Ham4Parser()

    - #### synpred21_Ham4Parser

          public final boolean synpred21_Ham4Parser()

    - #### synpred38_Ham4Parser

          public final boolean synpred38_Ham4Parser()

    - #### synpred11_Ham4Parser

          public final boolean synpred11_Ham4Parser()

    - #### synpred15_Ham4Parser

          public final boolean synpred15_Ham4Parser()

    - #### synpred25_Ham4Parser

          public final boolean synpred25_Ham4Parser()

    - #### synpred39_Ham4Parser

          public final boolean synpred39_Ham4Parser()

    - #### synpred35_Ham4Parser

          public final boolean synpred35_Ham4Parser()

    - #### synpred2_Ham4Parser

          public final boolean synpred2_Ham4Parser()

    - #### synpred29_Ham4Parser

          public final boolean synpred29_Ham4Parser()

    - #### synpred37_Ham4Parser

          public final boolean synpred37_Ham4Parser()

    - #### synpred40_Ham4Parser

          public final boolean synpred40_Ham4Parser()

    - #### synpred14_Ham4Parser

          public final boolean synpred14_Ham4Parser()

    - #### synpred17_Ham4Parser

          public final boolean synpred17_Ham4Parser()

    - #### synpred20_Ham4Parser

          public final boolean synpred20_Ham4Parser()

    - #### synpred10_Ham4Parser

          public final boolean synpred10_Ham4Parser()

    - #### synpred34_Ham4Parser

          public final boolean synpred34_Ham4Parser()

    - #### synpred24_Ham4Parser

          public final boolean synpred24_Ham4Parser()

    - #### synpred30_Ham4Parser

          public final boolean synpred30_Ham4Parser()

    - #### synpred1_Ham4Parser

          public final boolean synpred1_Ham4Parser()

    - #### synpred7_Ham4Parser

          public final boolean synpred7_Ham4Parser()

    - #### synpred18_Ham4Parser

          public final boolean synpred18_Ham4Parser()

    - #### synpred23_Ham4Parser

          public final boolean synpred23_Ham4Parser()

    - #### synpred13_Ham4Parser

          public final boolean synpred13_Ham4Parser()

    - #### synpred8_Ham4Parser

          public final boolean synpred8_Ham4Parser()

    - #### synpred4_Ham4Parser

          public final boolean synpred4_Ham4Parser()

    - #### synpred27_Ham4Parser

          public final boolean synpred27_Ham4Parser()

    - #### synpred33_Ham4Parser

          public final boolean synpred33_Ham4Parser()